Debian Bug report logs - #488063
linux-source-2.6.25: snd-hda-intel 2.6.24->2.6.25 regression silences headphones

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: "Mark T.B. Carroll" <mtbc@ixod.org>

Date: Wed, 25 Jun 2008 22:15:01 UTC

Severity: normal

Fixed in version linux-2.6/2.6.26-13

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#488063; Package linux-source-2.6.25. Full text and rfc822 format available.

Acknowledgement sent to "Mark T.B. Carroll" <mtbc@ixod.org>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Mark T.B. Carroll" <mtbc@ixod.org>
To: submit@bugs.debian.org
Subject: linux-source-2.6.25: snd-hda-intel 2.6.24->2.6.25 regression silences headphones
Date: Wed, 25 Jun 2008 18:07:47 -0400
Package: linux-source-2.6.25
Version: 2.6.25-5
Severity: normal

I have a Toshiba Satellite P105-S6197. Sound was working okay under Linux
2.6.24.

$ lspci | grep Audio
00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)
$ grep Codec /proc/asound/card0/codec*
Codec: Conexant CX20549 (Venice)
$ 

Since 2.6.25, it plays fine through the speakers, but if I plug the headphones
in then the speakers become silent but nothing is audible through the
headphones. I've tried turning up various volumes in alsamixer and tried
passing various model= parameters to the kernel (toshiba, laptop-micsense,
etc.). FWIW I tell the kernel mousedev.tap_time=0 notsc SELINUX_INIT=NO

-- System Information:
Debian Release: 4.0
  APT prefers stable
  APT policy: (500, 'stable'), (50, 'unstable')
Architecture: amd64 (x86_64)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.25
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)

Versions of packages linux-source-2.6.25 depends on:
ii  binutils            2.18.1~cvs20071027-2 The GNU assembler, linker and bina
ii  bzip2               1.0.3-6              high-quality block-sorting file co

Versions of packages linux-source-2.6.25 recommends:
ii  gcc                           4:4.2.1-6  The GNU C compiler
ii  libc6-dev [libc-dev]          2.7-4      GNU C Library: Development Librari
ii  make                          3.81-2     The GNU version of the "make" util

-- no debconf information

The kernel configuration is,

CONFIG_64BIT=y
CONFIG_X86_64=y
CONFIG_X86=y
CONFIG_DEFCONFIG_LIST="arch/x86/configs/x86_64_defconfig"
CONFIG_GENERIC_TIME=y
CONFIG_GENERIC_CMOS_UPDATE=y
CONFIG_CLOCKSOURCE_WATCHDOG=y
CONFIG_GENERIC_CLOCKEVENTS=y
CONFIG_GENERIC_CLOCKEVENTS_BROADCAST=y
CONFIG_LOCKDEP_SUPPORT=y
CONFIG_STACKTRACE_SUPPORT=y
CONFIG_HAVE_LATENCYTOP_SUPPORT=y
CONFIG_SEMAPHORE_SLEEPERS=y
CONFIG_FAST_CMPXCHG_LOCAL=y
CONFIG_MMU=y
CONFIG_ZONE_DMA=y
CONFIG_GENERIC_ISA_DMA=y
CONFIG_GENERIC_IOMAP=y
CONFIG_GENERIC_BUG=y
CONFIG_GENERIC_HWEIGHT=y
CONFIG_ARCH_MAY_HAVE_PC_FDC=y
CONFIG_DMI=y
CONFIG_RWSEM_GENERIC_SPINLOCK=y
CONFIG_ARCH_HAS_CPU_IDLE_WAIT=y
CONFIG_GENERIC_CALIBRATE_DELAY=y
CONFIG_GENERIC_TIME_VSYSCALL=y
CONFIG_ARCH_HAS_CPU_RELAX=y
CONFIG_HAVE_SETUP_PER_CPU_AREA=y
CONFIG_ARCH_HIBERNATION_POSSIBLE=y
CONFIG_ARCH_SUSPEND_POSSIBLE=y
CONFIG_ZONE_DMA32=y
CONFIG_ARCH_POPULATES_NODE_MAP=y
CONFIG_AUDIT_ARCH=y
CONFIG_ARCH_SUPPORTS_AOUT=y
CONFIG_GENERIC_HARDIRQS=y
CONFIG_GENERIC_IRQ_PROBE=y
CONFIG_GENERIC_PENDING_IRQ=y
CONFIG_X86_SMP=y
CONFIG_X86_64_SMP=y
CONFIG_X86_HT=y
CONFIG_X86_TRAMPOLINE=y
CONFIG_EXPERIMENTAL=y
CONFIG_LOCK_KERNEL=y
CONFIG_INIT_ENV_ARG_LIMIT=32
CONFIG_LOCALVERSION=""
CONFIG_SWAP=y
CONFIG_SYSVIPC=y
CONFIG_SYSVIPC_SYSCTL=y
CONFIG_POSIX_MQUEUE=y
CONFIG_BSD_PROCESS_ACCT=y
CONFIG_BSD_PROCESS_ACCT_V3=y
CONFIG_IKCONFIG=y
CONFIG_IKCONFIG_PROC=y
CONFIG_LOG_BUF_SHIFT=15
CONFIG_NAMESPACES=y
CONFIG_SYSCTL=y
CONFIG_UID16=y
CONFIG_SYSCTL_SYSCALL=y
CONFIG_KALLSYMS=y
CONFIG_HOTPLUG=y
CONFIG_PRINTK=y
CONFIG_BUG=y
CONFIG_ELF_CORE=y
CONFIG_BASE_FULL=y
CONFIG_FUTEX=y
CONFIG_ANON_INODES=y
CONFIG_EPOLL=y
CONFIG_SIGNALFD=y
CONFIG_TIMERFD=y
CONFIG_EVENTFD=y
CONFIG_SHMEM=y
CONFIG_VM_EVENT_COUNTERS=y
CONFIG_SLAB=y
CONFIG_HAVE_OPROFILE=y
CONFIG_HAVE_KPROBES=y
CONFIG_HAVE_KRETPROBES=y
CONFIG_PROC_PAGE_MONITOR=y
CONFIG_SLABINFO=y
CONFIG_RT_MUTEXES=y
CONFIG_BASE_SMALL=0
CONFIG_MODULES=y
CONFIG_MODULE_UNLOAD=y
CONFIG_MODULE_FORCE_UNLOAD=y
CONFIG_MODVERSIONS=y
CONFIG_KMOD=y
CONFIG_STOP_MACHINE=y
CONFIG_BLOCK=y
CONFIG_BLOCK_COMPAT=y
CONFIG_IOSCHED_NOOP=y
CONFIG_IOSCHED_AS=y
CONFIG_IOSCHED_CFQ=y
CONFIG_DEFAULT_CFQ=y
CONFIG_DEFAULT_IOSCHED="cfq"
CONFIG_CLASSIC_RCU=y
CONFIG_GENERIC_CLOCKEVENTS_BUILD=y
CONFIG_SMP=y
CONFIG_X86_PC=y
CONFIG_MCORE2=y
CONFIG_X86_L1_CACHE_BYTES=64
CONFIG_X86_INTERNODE_CACHE_BYTES=64
CONFIG_X86_CMPXCHG=y
CONFIG_X86_L1_CACHE_SHIFT=6
CONFIG_X86_GOOD_APIC=y
CONFIG_X86_INTEL_USERCOPY=y
CONFIG_X86_USE_PPRO_CHECKSUM=y
CONFIG_X86_P6_NOP=y
CONFIG_X86_TSC=y
CONFIG_X86_MINIMUM_CPU_FAMILY=64
CONFIG_X86_DEBUGCTLMSR=y
CONFIG_HPET_TIMER=y
CONFIG_HPET_EMULATE_RTC=y
CONFIG_GART_IOMMU=y
CONFIG_IOMMU_HELPER=y
CONFIG_SWIOTLB=y
CONFIG_NR_CPUS=2
CONFIG_SCHED_MC=y
CONFIG_PREEMPT_VOLUNTARY=y
CONFIG_X86_LOCAL_APIC=y
CONFIG_X86_IO_APIC=y
CONFIG_X86_MCE=y
CONFIG_X86_MCE_INTEL=y
CONFIG_ARCH_SPARSEMEM_DEFAULT=y
CONFIG_ARCH_SPARSEMEM_ENABLE=y
CONFIG_ARCH_SELECT_MEMORY_MODEL=y
CONFIG_SELECT_MEMORY_MODEL=y
CONFIG_SPARSEMEM_MANUAL=y
CONFIG_SPARSEMEM=y
CONFIG_HAVE_MEMORY_PRESENT=y
CONFIG_SPARSEMEM_EXTREME=y
CONFIG_SPARSEMEM_VMEMMAP_ENABLE=y
CONFIG_SPARSEMEM_VMEMMAP=y
CONFIG_SPLIT_PTLOCK_CPUS=4
CONFIG_RESOURCES_64BIT=y
CONFIG_ZONE_DMA_FLAG=1
CONFIG_BOUNCE=y
CONFIG_VIRT_TO_BUS=y
CONFIG_MTRR=y
CONFIG_HZ_300=y
CONFIG_HZ=300
CONFIG_PHYSICAL_START=0x200000
CONFIG_PHYSICAL_ALIGN=0x200000
CONFIG_HOTPLUG_CPU=y
CONFIG_ARCH_ENABLE_MEMORY_HOTPLUG=y
CONFIG_ARCH_HIBERNATION_HEADER=y
CONFIG_PM=y
CONFIG_PM_LEGACY=y
CONFIG_PM_SLEEP_SMP=y
CONFIG_PM_SLEEP=y
CONFIG_HIBERNATION=y
CONFIG_PM_STD_PARTITION="/dev/sda2"
CONFIG_ACPI=y
CONFIG_ACPI_SLEEP=y
CONFIG_ACPI_PROCFS=y
CONFIG_ACPI_PROCFS_POWER=y
CONFIG_ACPI_SYSFS_POWER=y
CONFIG_ACPI_PROC_EVENT=y
CONFIG_ACPI_AC=y
CONFIG_ACPI_BATTERY=y
CONFIG_ACPI_BUTTON=y
CONFIG_ACPI_FAN=y
CONFIG_ACPI_DOCK=y
CONFIG_ACPI_PROCESSOR=y
CONFIG_ACPI_HOTPLUG_CPU=y
CONFIG_ACPI_THERMAL=y
CONFIG_ACPI_CUSTOM_DSDT_FILE=""
CONFIG_ACPI_BLACKLIST_YEAR=0
CONFIG_ACPI_EC=y
CONFIG_ACPI_POWER=y
CONFIG_ACPI_SYSTEM=y
CONFIG_X86_PM_TIMER=y
CONFIG_ACPI_CONTAINER=y
CONFIG_CPU_FREQ=y
CONFIG_CPU_FREQ_TABLE=y
CONFIG_CPU_FREQ_STAT=y
CONFIG_CPU_FREQ_DEFAULT_GOV_PERFORMANCE=y
CONFIG_CPU_FREQ_GOV_PERFORMANCE=y
CONFIG_CPU_FREQ_GOV_CONSERVATIVE=y
CONFIG_X86_ACPI_CPUFREQ=y
CONFIG_CPU_IDLE=y
CONFIG_CPU_IDLE_GOV_LADDER=y
CONFIG_PCI=y
CONFIG_PCI_DIRECT=y
CONFIG_PCI_MMCONFIG=y
CONFIG_PCI_DOMAINS=y
CONFIG_ARCH_SUPPORTS_MSI=y
CONFIG_PCI_MSI=y
CONFIG_PCI_LEGACY=y
CONFIG_ISA_DMA_API=y
CONFIG_K8_NB=y
CONFIG_PCCARD=y
CONFIG_PCMCIA=y
CONFIG_PCMCIA_IOCTL=y
CONFIG_CARDBUS=y
CONFIG_YENTA=y
CONFIG_YENTA_O2=y
CONFIG_YENTA_RICOH=y
CONFIG_YENTA_TI=y
CONFIG_YENTA_ENE_TUNE=y
CONFIG_YENTA_TOSHIBA=y
CONFIG_PCCARD_NONSTATIC=y
CONFIG_BINFMT_ELF=y
CONFIG_COMPAT_BINFMT_ELF=y
CONFIG_BINFMT_MISC=y
CONFIG_IA32_EMULATION=y
CONFIG_IA32_AOUT=y
CONFIG_COMPAT=y
CONFIG_COMPAT_FOR_U64_ALIGNMENT=y
CONFIG_SYSVIPC_COMPAT=y
CONFIG_NET=y
CONFIG_PACKET=y
CONFIG_PACKET_MMAP=y
CONFIG_UNIX=y
CONFIG_INET=y
CONFIG_IP_FIB_HASH=y
CONFIG_TCP_CONG_CUBIC=y
CONFIG_DEFAULT_TCP_CONG="cubic"
CONFIG_IPV6=y
CONFIG_NET_SCH_FIFO=y
CONFIG_CFG80211=y
CONFIG_NL80211=y
CONFIG_WIRELESS_EXT=y
CONFIG_MAC80211=y
CONFIG_MAC80211_RC_DEFAULT_PID=y
CONFIG_MAC80211_RC_DEFAULT="pid"
CONFIG_MAC80211_RC_PID=y
CONFIG_IEEE80211=y
CONFIG_IEEE80211_CRYPT_WEP=y
CONFIG_UEVENT_HELPER_PATH="/sbin/hotplug"
CONFIG_PREVENT_FIRMWARE_BUILD=y
CONFIG_FW_LOADER=y
CONFIG_PNP=y
CONFIG_PNPACPI=y
CONFIG_BLK_DEV=y
CONFIG_BLK_DEV_LOOP=y
CONFIG_BLK_DEV_RAM=y
CONFIG_BLK_DEV_RAM_COUNT=16
CONFIG_BLK_DEV_RAM_SIZE=4096
CONFIG_CDROM_PKTCDVD=y
CONFIG_CDROM_PKTCDVD_BUFFERS=8
CONFIG_MISC_DEVICES=y
CONFIG_TIFM_CORE=y
CONFIG_TIFM_7XX1=y
CONFIG_HAVE_IDE=y
CONFIG_SCSI=y
CONFIG_SCSI_DMA=y
CONFIG_SCSI_NETLINK=y
CONFIG_BLK_DEV_SD=y
CONFIG_BLK_DEV_SR=y
CONFIG_CHR_DEV_SG=y
CONFIG_SCSI_WAIT_SCAN=m
CONFIG_SCSI_SPI_ATTRS=y
CONFIG_SCSI_FC_ATTRS=y
CONFIG_SCSI_ISCSI_ATTRS=y
CONFIG_SCSI_LOWLEVEL=y
CONFIG_ATA=y
CONFIG_ATA_ACPI=y
CONFIG_SATA_AHCI=y
CONFIG_ATA_PIIX=y
CONFIG_NETDEVICES=y
CONFIG_NET_ETHERNET=y
CONFIG_MII=y
CONFIG_NET_PCI=y
CONFIG_E100=y
CONFIG_WLAN_80211=y
CONFIG_IWL3945=m
CONFIG_PPP=m
CONFIG_PPP_ASYNC=m
CONFIG_PPP_DEFLATE=m
CONFIG_SLHC=m
CONFIG_INPUT=y
CONFIG_INPUT_MOUSEDEV=y
CONFIG_INPUT_MOUSEDEV_SCREEN_X=1024
CONFIG_INPUT_MOUSEDEV_SCREEN_Y=768
CONFIG_INPUT_EVDEV=y
CONFIG_INPUT_KEYBOARD=y
CONFIG_KEYBOARD_ATKBD=y
CONFIG_INPUT_MOUSE=y
CONFIG_MOUSE_PS2=y
CONFIG_MOUSE_PS2_ALPS=y
CONFIG_MOUSE_PS2_LOGIPS2PP=y
CONFIG_MOUSE_PS2_SYNAPTICS=y
CONFIG_MOUSE_PS2_LIFEBOOK=y
CONFIG_MOUSE_PS2_TRACKPOINT=y
CONFIG_INPUT_MISC=y
CONFIG_INPUT_PCSPKR=y
CONFIG_SERIO=y
CONFIG_SERIO_I8042=y
CONFIG_SERIO_LIBPS2=y
CONFIG_VT=y
CONFIG_VT_CONSOLE=y
CONFIG_HW_CONSOLE=y
CONFIG_SERIAL_8250=y
CONFIG_FIX_EARLYCON_MEM=y
CONFIG_SERIAL_8250_PCI=y
CONFIG_SERIAL_8250_PNP=y
CONFIG_SERIAL_8250_NR_UARTS=4
CONFIG_SERIAL_8250_RUNTIME_UARTS=4
CONFIG_SERIAL_CORE=y
CONFIG_UNIX98_PTYS=y
CONFIG_NVRAM=y
CONFIG_RTC=y
CONFIG_HPET=y
CONFIG_HPET_MMAP=y
CONFIG_DEVPORT=y
CONFIG_I2C=y
CONFIG_I2C_BOARDINFO=y
CONFIG_I2C_ALGOBIT=y
CONFIG_I2C_I801=y
CONFIG_POWER_SUPPLY=y
CONFIG_THERMAL=y
CONFIG_SSB_POSSIBLE=y
CONFIG_VIDEO_DEV=y
CONFIG_VIDEO_V4L2_COMMON=y
CONFIG_VIDEO_V4L2=y
CONFIG_VIDEO_CAPTURE_DRIVERS=y
CONFIG_VIDEO_HELPER_CHIPS_AUTO=y
CONFIG_V4L_USB_DRIVERS=y
CONFIG_AGP=y
CONFIG_AGP_AMD64=y
CONFIG_AGP_INTEL=y
CONFIG_DRM=y
CONFIG_DRM_I915=y
CONFIG_VIDEO_OUTPUT_CONTROL=y
CONFIG_FB=y
CONFIG_FIRMWARE_EDID=y
CONFIG_FB_DDC=y
CONFIG_FB_CFB_FILLRECT=y
CONFIG_FB_CFB_COPYAREA=y
CONFIG_FB_CFB_IMAGEBLIT=y
CONFIG_FB_DEFERRED_IO=y
CONFIG_FB_MODE_HELPERS=y
CONFIG_FB_INTEL=y
CONFIG_FB_INTEL_I2C=y
CONFIG_VGA_CONSOLE=y
CONFIG_DUMMY_CONSOLE=y
CONFIG_SOUND=y
CONFIG_SND=y
CONFIG_SND_TIMER=y
CONFIG_SND_PCM=y
CONFIG_SND_HWDEP=m
CONFIG_SND_RAWMIDI=m
CONFIG_SND_SEQUENCER=y
CONFIG_SND_OSSEMUL=y
CONFIG_SND_MIXER_OSS=y
CONFIG_SND_PCM_OSS=y
CONFIG_SND_PCM_OSS_PLUGINS=y
CONFIG_SND_SEQUENCER_OSS=y
CONFIG_SND_RTCTIMER=y
CONFIG_SND_SEQ_RTCTIMER_DEFAULT=y
CONFIG_SND_DYNAMIC_MINORS=y
CONFIG_SND_SUPPORT_OLD_API=y
CONFIG_SND_DEBUG=y
CONFIG_SND_DEBUG_DETECT=y
CONFIG_SND_HDA_INTEL=y
CONFIG_SND_HDA_CODEC_CONEXANT=y
CONFIG_SND_USB_AUDIO=m
CONFIG_HID_SUPPORT=y
CONFIG_HID=y
CONFIG_USB_HID=y
CONFIG_USB_SUPPORT=y
CONFIG_USB_ARCH_HAS_HCD=y
CONFIG_USB_ARCH_HAS_OHCI=y
CONFIG_USB_ARCH_HAS_EHCI=y
CONFIG_USB=y
CONFIG_USB_DEVICEFS=y
CONFIG_USB_DEVICE_CLASS=y
CONFIG_USB_EHCI_HCD=y
CONFIG_USB_OHCI_HCD=m
CONFIG_USB_OHCI_LITTLE_ENDIAN=y
CONFIG_USB_UHCI_HCD=y
CONFIG_USB_ACM=m
CONFIG_USB_PRINTER=m
CONFIG_USB_STORAGE=y
CONFIG_USB_SERIAL=m
CONFIG_USB_SERIAL_PL2303=m
CONFIG_USB_SERIAL_SIERRAWIRELESS=m
CONFIG_MMC=y
CONFIG_MMC_BLOCK=y
CONFIG_MMC_BLOCK_BOUNCE=y
CONFIG_MMC_SDHCI=y
CONFIG_MMC_TIFM_SD=y
CONFIG_EDAC=y
CONFIG_EDAC_MM_EDAC=y
CONFIG_RTC_LIB=y
CONFIG_RTC_CLASS=y
CONFIG_RTC_HCTOSYS=y
CONFIG_RTC_HCTOSYS_DEVICE="rtc0"
CONFIG_RTC_INTF_SYSFS=y
CONFIG_RTC_INTF_PROC=y
CONFIG_RTC_INTF_DEV=y
CONFIG_EXT2_FS=y
CONFIG_EXT3_FS=y
CONFIG_JBD=y
CONFIG_DNOTIFY=y
CONFIG_INOTIFY=y
CONFIG_INOTIFY_USER=y
CONFIG_ISO9660_FS=y
CONFIG_JOLIET=y
CONFIG_ZISOFS=y
CONFIG_UDF_FS=y
CONFIG_UDF_NLS=y
CONFIG_FAT_FS=y
CONFIG_VFAT_FS=y
CONFIG_FAT_DEFAULT_CODEPAGE=437
CONFIG_FAT_DEFAULT_IOCHARSET="iso8859-1"
CONFIG_PROC_FS=y
CONFIG_PROC_KCORE=y
CONFIG_PROC_SYSCTL=y
CONFIG_SYSFS=y
CONFIG_TMPFS=y
CONFIG_MSDOS_PARTITION=y
CONFIG_NLS=y
CONFIG_NLS_DEFAULT="iso8859-1"
CONFIG_NLS_CODEPAGE_437=y
CONFIG_NLS_CODEPAGE_850=y
CONFIG_NLS_ASCII=y
CONFIG_NLS_ISO8859_1=y
CONFIG_NLS_ISO8859_15=y
CONFIG_NLS_UTF8=y
CONFIG_TRACE_IRQFLAGS_SUPPORT=y
CONFIG_ENABLE_WARN_DEPRECATED=y
CONFIG_ENABLE_MUST_CHECK=y
CONFIG_HEADERS_CHECK=y
CONFIG_DEBUG_BUGVERBOSE=y
CONFIG_EARLY_PRINTK=y
CONFIG_X86_MPPARSE=y
CONFIG_IO_DELAY_TYPE_0X80=0
CONFIG_IO_DELAY_TYPE_0XED=1
CONFIG_IO_DELAY_TYPE_UDELAY=2
CONFIG_IO_DELAY_TYPE_NONE=3
CONFIG_IO_DELAY_0X80=y
CONFIG_DEFAULT_IO_DELAY_TYPE=0
CONFIG_CRYPTO=y
CONFIG_CRYPTO_ALGAPI=y
CONFIG_CRYPTO_BLKCIPHER=y
CONFIG_CRYPTO_MANAGER=y
CONFIG_CRYPTO_ECB=y
CONFIG_CRYPTO_AES=y
CONFIG_CRYPTO_ARC4=y
CONFIG_HAVE_KVM=y
CONFIG_BITREVERSE=y
CONFIG_CRC_CCITT=m
CONFIG_CRC32=y
CONFIG_ZLIB_INFLATE=y
CONFIG_ZLIB_DEFLATE=m
CONFIG_PLIST=y
CONFIG_HAS_IOMEM=y
CONFIG_HAS_IOPORT=y
CONFIG_HAS_DMA=y

The kernel notes,

Advanced Linux Sound Architecture Driver Version 1.0.16rc2 (Thu Jan 31 16:40:16 2008 UTC).
ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 22 (level, low) -> IRQ 22
PCI: Setting latency timer of device 0000:00:1b.0 to 64
chipset global capabilities = 0x4401
codec_mask = 0x1
ALSA device list:
  #0: HDA Intel at 0xd0340000 irq 22

and then if I try playing something it says things like,

Jun 25 17:42:58 evangeline kernel: azx_pcm_prepare: bufsize=0x10000, fragsize=0x2000, format=0x31
Jun 25 17:42:58 evangeline kernel: hda_codec_setup_stream: NID=0x18, stream=0x0, channel=0, format=0x0
Jun 25 17:42:58 evangeline kernel: hda_codec_setup_stream: NID=0x19, stream=0x5, channel=0, format=0x31
Jun 25 17:43:01 evangeline kernel: hda_codec_setup_stream: NID=0x19, stream=0x0, channel=0, format=0x0

A bit of googling turns up http://bbs.archlinux.org/viewtopic.php?pid=373770
where evilviper77 appears to confirm the problem. Their report of a "sweet
spot" also seems correct now I come to try it, although it's very hard to hit
so it's a poor workaround.

Mark





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#488063; Package linux-source-2.6.25. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@baikonur.stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: maximilian attems <max@baikonur.stro.at>
To: "Mark T.B. Carroll" <mtbc@ixod.org>, 488063@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: Bug#488063: linux-source-2.6.25: snd-hda-intel 2.6.24->2.6.25 regression silences headphones
Date: Thu, 26 Jun 2008 02:56:21 +0200
On Wed, Jun 25, 2008 at 06:07:47PM -0400, Mark T.B. Carroll wrote:
> Package: linux-source-2.6.25
> Version: 2.6.25-5
> Severity: normal
> 
> I have a Toshiba Satellite P105-S6197. Sound was working okay under Linux
> 2.6.24.
> 
> $ lspci | grep Audio
> 00:1b.0 Audio device: Intel Corporation 82801G (ICH7 Family) High Definition Audio Controller (rev 02)
> $ grep Codec /proc/asound/card0/codec*
> Codec: Conexant CX20549 (Venice)
> $ 
> 
> Since 2.6.25, it plays fine through the speakers, but if I plug the headphones
> in then the speakers become silent but nothing is audible through the
> headphones. I've tried turning up various volumes in alsamixer and tried
> passing various model= parameters to the kernel (toshiba, laptop-micsense,
> etc.). FWIW I tell the kernel mousedev.tap_time=0 notsc SELINUX_INIT=NO

together with latest alsa userspace please check out current trunk
2.6.26-rcX based images. see apt lines
->  http://wiki.debian.org/DebianKernel

happy greetings

-- 
maks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#488063; Package linux-source-2.6.25. Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <max@baikonur.stro.at>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#488063; Package linux-source-2.6.25. Full text and rfc822 format available.

Acknowledgement sent to "Mark T.B. Carroll" <mtbc@ixod.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #20 received at 488063@bugs.debian.org (full text, mbox):

From: "Mark T.B. Carroll" <mtbc@ixod.org>
To: maximilian attems <max@baikonur.stro.at>
Subject: Re: Bug#488063: linux-source-2.6.25: snd-hda-intel 2.6.24->2.6.25 regression silences headphones
Date: Thu, 26 Jun 2008 11:20:33 -0400
maximilian attems <max@baikonur.stro.at> writes:

> together with latest alsa userspace please check out current trunk
> 2.6.26-rcX based images. see apt lines
> ->  http://wiki.debian.org/DebianKernel

Thanks! I got the trunk 2.6.26-rc8 from
http://kernel-archive.buildserver.net/debian-kernel
and brought alsa-base and alsa-utils up to 1.0.16-2.

It all looks much the same: at boot,

Advanced Linux Sound Architecture Driver Version 1.0.16.
ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 22 (level, low) -> IRQ 22
PCI: Setting latency timer of device 0000:00:1b.0 to 64
chipset global capabilities = 0x4401
codec_mask = 0x1
ALSA device list:
  #0: HDA Intel at 0xd0340000 irq 22

then to play something,

azx_pcm_prepare: bufsize=0x10000, format=0x21
hda_codec_setup_stream: NID=0x18, stream=0x5, channel=0, format=0x21
hda_codec_setup_stream: NID=0x19, stream=0x5, channel=0, format=0x21
hda_codec_cleanup_stream: NID=0x19
hda_codec_cleanup_stream: NID=0x18

The problem remains exactly the same, unfortunately: plugging the
headphones in silences all sound.

Revised kernel config enclosed. (Same options passed to it as before.)

Mark

CONFIG_64BIT=y
CONFIG_X86_64=y
CONFIG_X86=y
CONFIG_ARCH_DEFCONFIG="arch/x86/configs/x86_64_defconfig"
CONFIG_GENERIC_TIME=y
CONFIG_GENERIC_CMOS_UPDATE=y
CONFIG_CLOCKSOURCE_WATCHDOG=y
CONFIG_GENERIC_CLOCKEVENTS=y
CONFIG_GENERIC_CLOCKEVENTS_BROADCAST=y
CONFIG_LOCKDEP_SUPPORT=y
CONFIG_STACKTRACE_SUPPORT=y
CONFIG_HAVE_LATENCYTOP_SUPPORT=y
CONFIG_FAST_CMPXCHG_LOCAL=y
CONFIG_MMU=y
CONFIG_ZONE_DMA=y
CONFIG_GENERIC_ISA_DMA=y
CONFIG_GENERIC_IOMAP=y
CONFIG_GENERIC_BUG=y
CONFIG_GENERIC_HWEIGHT=y
CONFIG_ARCH_MAY_HAVE_PC_FDC=y
CONFIG_RWSEM_GENERIC_SPINLOCK=y
CONFIG_ARCH_HAS_CPU_IDLE_WAIT=y
CONFIG_GENERIC_CALIBRATE_DELAY=y
CONFIG_GENERIC_TIME_VSYSCALL=y
CONFIG_ARCH_HAS_CPU_RELAX=y
CONFIG_ARCH_HAS_CACHE_LINE_SIZE=y
CONFIG_HAVE_SETUP_PER_CPU_AREA=y
CONFIG_HAVE_CPUMASK_OF_CPU_MAP=y
CONFIG_ARCH_HIBERNATION_POSSIBLE=y
CONFIG_ARCH_SUSPEND_POSSIBLE=y
CONFIG_ZONE_DMA32=y
CONFIG_ARCH_POPULATES_NODE_MAP=y
CONFIG_AUDIT_ARCH=y
CONFIG_ARCH_SUPPORTS_AOUT=y
CONFIG_ARCH_SUPPORTS_OPTIMIZED_INLINING=y
CONFIG_GENERIC_HARDIRQS=y
CONFIG_GENERIC_IRQ_PROBE=y
CONFIG_GENERIC_PENDING_IRQ=y
CONFIG_X86_SMP=y
CONFIG_X86_64_SMP=y
CONFIG_X86_HT=y
CONFIG_X86_BIOS_REBOOT=y
CONFIG_X86_TRAMPOLINE=y
CONFIG_DEFCONFIG_LIST="/lib/modules/$UNAME_RELEASE/.config"
CONFIG_EXPERIMENTAL=y
CONFIG_LOCK_KERNEL=y
CONFIG_INIT_ENV_ARG_LIMIT=32
CONFIG_LOCALVERSION=""
CONFIG_SWAP=y
CONFIG_SYSVIPC=y
CONFIG_SYSVIPC_SYSCTL=y
CONFIG_POSIX_MQUEUE=y
CONFIG_BSD_PROCESS_ACCT=y
CONFIG_BSD_PROCESS_ACCT_V3=y
CONFIG_IKCONFIG=y
CONFIG_IKCONFIG_PROC=y
CONFIG_LOG_BUF_SHIFT=15
CONFIG_HAVE_UNSTABLE_SCHED_CLOCK=y
CONFIG_NAMESPACES=y
CONFIG_SYSCTL=y
CONFIG_UID16=y
CONFIG_SYSCTL_SYSCALL=y
CONFIG_SYSCTL_SYSCALL_CHECK=y
CONFIG_KALLSYMS=y
CONFIG_HOTPLUG=y
CONFIG_PRINTK=y
CONFIG_BUG=y
CONFIG_ELF_CORE=y
CONFIG_PCSPKR_PLATFORM=y
CONFIG_BASE_FULL=y
CONFIG_FUTEX=y
CONFIG_ANON_INODES=y
CONFIG_EPOLL=y
CONFIG_SIGNALFD=y
CONFIG_TIMERFD=y
CONFIG_EVENTFD=y
CONFIG_SHMEM=y
CONFIG_VM_EVENT_COUNTERS=y
CONFIG_SLAB=y
CONFIG_HAVE_OPROFILE=y
CONFIG_HAVE_KPROBES=y
CONFIG_HAVE_KRETPROBES=y
CONFIG_PROC_PAGE_MONITOR=y
CONFIG_SLABINFO=y
CONFIG_RT_MUTEXES=y
CONFIG_BASE_SMALL=0
CONFIG_MODULES=y
CONFIG_MODULE_UNLOAD=y
CONFIG_MODULE_FORCE_UNLOAD=y
CONFIG_MODVERSIONS=y
CONFIG_KMOD=y
CONFIG_STOP_MACHINE=y
CONFIG_BLOCK=y
CONFIG_BLOCK_COMPAT=y
CONFIG_IOSCHED_NOOP=y
CONFIG_IOSCHED_AS=y
CONFIG_IOSCHED_CFQ=y
CONFIG_DEFAULT_CFQ=y
CONFIG_DEFAULT_IOSCHED="cfq"
CONFIG_CLASSIC_RCU=y
CONFIG_GENERIC_CLOCKEVENTS_BUILD=y
CONFIG_SMP=y
CONFIG_X86_PC=y
CONFIG_MCORE2=y
CONFIG_X86_CPU=y
CONFIG_X86_L1_CACHE_BYTES=64
CONFIG_X86_INTERNODE_CACHE_BYTES=64
CONFIG_X86_CMPXCHG=y
CONFIG_X86_L1_CACHE_SHIFT=6
CONFIG_X86_GOOD_APIC=y
CONFIG_X86_INTEL_USERCOPY=y
CONFIG_X86_USE_PPRO_CHECKSUM=y
CONFIG_X86_P6_NOP=y
CONFIG_X86_TSC=y
CONFIG_X86_CMOV=y
CONFIG_X86_MINIMUM_CPU_FAMILY=64
CONFIG_X86_DEBUGCTLMSR=y
CONFIG_HPET_TIMER=y
CONFIG_DMI=y
CONFIG_GART_IOMMU=y
CONFIG_SWIOTLB=y
CONFIG_IOMMU_HELPER=y
CONFIG_NR_CPUS=2
CONFIG_SCHED_MC=y
CONFIG_PREEMPT_VOLUNTARY=y
CONFIG_X86_LOCAL_APIC=y
CONFIG_X86_IO_APIC=y
CONFIG_X86_MCE=y
CONFIG_X86_MCE_INTEL=y
CONFIG_ARCH_SPARSEMEM_DEFAULT=y
CONFIG_ARCH_SPARSEMEM_ENABLE=y
CONFIG_ARCH_SELECT_MEMORY_MODEL=y
CONFIG_SELECT_MEMORY_MODEL=y
CONFIG_SPARSEMEM_MANUAL=y
CONFIG_SPARSEMEM=y
CONFIG_HAVE_MEMORY_PRESENT=y
CONFIG_SPARSEMEM_EXTREME=y
CONFIG_SPARSEMEM_VMEMMAP_ENABLE=y
CONFIG_SPARSEMEM_VMEMMAP=y
CONFIG_PAGEFLAGS_EXTENDED=y
CONFIG_SPLIT_PTLOCK_CPUS=4
CONFIG_RESOURCES_64BIT=y
CONFIG_ZONE_DMA_FLAG=1
CONFIG_BOUNCE=y
CONFIG_VIRT_TO_BUS=y
CONFIG_MTRR=y
CONFIG_X86_PAT=y
CONFIG_HZ_300=y
CONFIG_HZ=300
CONFIG_PHYSICAL_START=0x200000
CONFIG_PHYSICAL_ALIGN=0x200000
CONFIG_HOTPLUG_CPU=y
CONFIG_ARCH_ENABLE_MEMORY_HOTPLUG=y
CONFIG_ARCH_HIBERNATION_HEADER=y
CONFIG_PM=y
CONFIG_PM_SLEEP_SMP=y
CONFIG_PM_SLEEP=y
CONFIG_HIBERNATION=y
CONFIG_PM_STD_PARTITION="/dev/sda2"
CONFIG_ACPI=y
CONFIG_ACPI_SLEEP=y
CONFIG_ACPI_PROCFS=y
CONFIG_ACPI_PROCFS_POWER=y
CONFIG_ACPI_SYSFS_POWER=y
CONFIG_ACPI_PROC_EVENT=y
CONFIG_ACPI_AC=y
CONFIG_ACPI_BATTERY=y
CONFIG_ACPI_BUTTON=y
CONFIG_ACPI_FAN=y
CONFIG_ACPI_DOCK=y
CONFIG_ACPI_PROCESSOR=y
CONFIG_ACPI_HOTPLUG_CPU=y
CONFIG_ACPI_THERMAL=y
CONFIG_ACPI_CUSTOM_DSDT_FILE=""
CONFIG_ACPI_BLACKLIST_YEAR=0
CONFIG_ACPI_EC=y
CONFIG_ACPI_POWER=y
CONFIG_ACPI_SYSTEM=y
CONFIG_X86_PM_TIMER=y
CONFIG_ACPI_CONTAINER=y
CONFIG_CPU_FREQ=y
CONFIG_CPU_FREQ_TABLE=y
CONFIG_CPU_FREQ_STAT=y
CONFIG_CPU_FREQ_DEFAULT_GOV_PERFORMANCE=y
CONFIG_CPU_FREQ_GOV_PERFORMANCE=y
CONFIG_CPU_FREQ_GOV_CONSERVATIVE=y
CONFIG_X86_ACPI_CPUFREQ=y
CONFIG_CPU_IDLE=y
CONFIG_CPU_IDLE_GOV_LADDER=y
CONFIG_PCI=y
CONFIG_PCI_DIRECT=y
CONFIG_PCI_MMCONFIG=y
CONFIG_PCI_DOMAINS=y
CONFIG_ARCH_SUPPORTS_MSI=y
CONFIG_PCI_MSI=y
CONFIG_PCI_LEGACY=y
CONFIG_ISA_DMA_API=y
CONFIG_K8_NB=y
CONFIG_PCCARD=y
CONFIG_PCMCIA=y
CONFIG_PCMCIA_IOCTL=y
CONFIG_CARDBUS=y
CONFIG_YENTA=y
CONFIG_YENTA_O2=y
CONFIG_YENTA_RICOH=y
CONFIG_YENTA_TI=y
CONFIG_YENTA_ENE_TUNE=y
CONFIG_YENTA_TOSHIBA=y
CONFIG_PCCARD_NONSTATIC=y
CONFIG_BINFMT_ELF=y
CONFIG_COMPAT_BINFMT_ELF=y
CONFIG_BINFMT_MISC=y
CONFIG_IA32_EMULATION=y
CONFIG_IA32_AOUT=y
CONFIG_COMPAT=y
CONFIG_COMPAT_FOR_U64_ALIGNMENT=y
CONFIG_SYSVIPC_COMPAT=y
CONFIG_NET=y
CONFIG_PACKET=y
CONFIG_PACKET_MMAP=y
CONFIG_UNIX=y
CONFIG_INET=y
CONFIG_IP_FIB_HASH=y
CONFIG_TCP_CONG_CUBIC=y
CONFIG_DEFAULT_TCP_CONG="cubic"
CONFIG_IPV6=y
CONFIG_NET_SCH_FIFO=y
CONFIG_CFG80211=y
CONFIG_NL80211=y
CONFIG_WIRELESS_EXT=y
CONFIG_MAC80211=y
CONFIG_MAC80211_RC_DEFAULT_PID=y
CONFIG_MAC80211_RC_DEFAULT="pid"
CONFIG_MAC80211_RC_PID=y
CONFIG_IEEE80211=y
CONFIG_IEEE80211_CRYPT_WEP=y
CONFIG_RFKILL=m
CONFIG_RFKILL_INPUT=m
CONFIG_UEVENT_HELPER_PATH="/sbin/hotplug"
CONFIG_PREVENT_FIRMWARE_BUILD=y
CONFIG_FW_LOADER=y
CONFIG_PNP=y
CONFIG_PNPACPI=y
CONFIG_BLK_DEV=y
CONFIG_BLK_DEV_LOOP=y
CONFIG_BLK_DEV_RAM=y
CONFIG_BLK_DEV_RAM_COUNT=16
CONFIG_BLK_DEV_RAM_SIZE=4096
CONFIG_CDROM_PKTCDVD=y
CONFIG_CDROM_PKTCDVD_BUFFERS=8
CONFIG_MISC_DEVICES=y
CONFIG_TIFM_CORE=y
CONFIG_TIFM_7XX1=y
CONFIG_HAVE_IDE=y
CONFIG_SCSI=y
CONFIG_SCSI_DMA=y
CONFIG_SCSI_NETLINK=y
CONFIG_BLK_DEV_SD=y
CONFIG_BLK_DEV_SR=y
CONFIG_CHR_DEV_SG=y
CONFIG_SCSI_WAIT_SCAN=m
CONFIG_SCSI_SPI_ATTRS=y
CONFIG_SCSI_FC_ATTRS=y
CONFIG_SCSI_ISCSI_ATTRS=y
CONFIG_SCSI_LOWLEVEL=y
CONFIG_ATA=y
CONFIG_ATA_ACPI=y
CONFIG_SATA_AHCI=y
CONFIG_ATA_SFF=y
CONFIG_ATA_PIIX=y
CONFIG_NETDEVICES=y
CONFIG_NET_ETHERNET=y
CONFIG_MII=y
CONFIG_NET_PCI=y
CONFIG_E100=y
CONFIG_WLAN_80211=y
CONFIG_IWLWIFI=m
CONFIG_IWLCORE=m
CONFIG_IWLWIFI_RFKILL=y
CONFIG_IWL3945=m
CONFIG_PPP=m
CONFIG_PPP_ASYNC=m
CONFIG_PPP_DEFLATE=m
CONFIG_SLHC=m
CONFIG_INPUT=y
CONFIG_INPUT_MOUSEDEV=y
CONFIG_INPUT_MOUSEDEV_SCREEN_X=1024
CONFIG_INPUT_MOUSEDEV_SCREEN_Y=768
CONFIG_INPUT_EVDEV=y
CONFIG_INPUT_KEYBOARD=y
CONFIG_KEYBOARD_ATKBD=y
CONFIG_INPUT_MOUSE=y
CONFIG_MOUSE_PS2=y
CONFIG_MOUSE_PS2_ALPS=y
CONFIG_MOUSE_PS2_LOGIPS2PP=y
CONFIG_MOUSE_PS2_SYNAPTICS=y
CONFIG_MOUSE_PS2_LIFEBOOK=y
CONFIG_MOUSE_PS2_TRACKPOINT=y
CONFIG_INPUT_MISC=y
CONFIG_INPUT_PCSPKR=y
CONFIG_SERIO=y
CONFIG_SERIO_I8042=y
CONFIG_SERIO_LIBPS2=y
CONFIG_VT=y
CONFIG_VT_CONSOLE=y
CONFIG_HW_CONSOLE=y
CONFIG_SERIAL_8250=y
CONFIG_FIX_EARLYCON_MEM=y
CONFIG_SERIAL_8250_PCI=y
CONFIG_SERIAL_8250_PNP=y
CONFIG_SERIAL_8250_NR_UARTS=4
CONFIG_SERIAL_8250_RUNTIME_UARTS=4
CONFIG_SERIAL_CORE=y
CONFIG_UNIX98_PTYS=y
CONFIG_NVRAM=y
CONFIG_HPET=y
CONFIG_HPET_MMAP=y
CONFIG_DEVPORT=y
CONFIG_I2C=y
CONFIG_I2C_BOARDINFO=y
CONFIG_I2C_ALGOBIT=y
CONFIG_I2C_I801=y
CONFIG_POWER_SUPPLY=y
CONFIG_THERMAL=y
CONFIG_SSB_POSSIBLE=y
CONFIG_VIDEO_DEV=y
CONFIG_VIDEO_V4L2_COMMON=y
CONFIG_VIDEO_MEDIA=y
CONFIG_MEDIA_TUNER=y
CONFIG_MEDIA_TUNER_SIMPLE=y
CONFIG_MEDIA_TUNER_TDA8290=y
CONFIG_MEDIA_TUNER_TDA9887=y
CONFIG_MEDIA_TUNER_TEA5761=y
CONFIG_MEDIA_TUNER_TEA5767=y
CONFIG_MEDIA_TUNER_MT20XX=y
CONFIG_MEDIA_TUNER_XC2028=y
CONFIG_MEDIA_TUNER_XC5000=y
CONFIG_VIDEO_V4L2=y
CONFIG_VIDEO_CAPTURE_DRIVERS=y
CONFIG_VIDEO_HELPER_CHIPS_AUTO=y
CONFIG_V4L_USB_DRIVERS=y
CONFIG_AGP=y
CONFIG_AGP_AMD64=y
CONFIG_AGP_INTEL=y
CONFIG_DRM=y
CONFIG_DRM_I915=y
CONFIG_VIDEO_OUTPUT_CONTROL=y
CONFIG_FB=y
CONFIG_FIRMWARE_EDID=y
CONFIG_FB_DDC=y
CONFIG_FB_CFB_FILLRECT=y
CONFIG_FB_CFB_COPYAREA=y
CONFIG_FB_CFB_IMAGEBLIT=y
CONFIG_FB_MODE_HELPERS=y
CONFIG_FB_INTEL=y
CONFIG_FB_INTEL_I2C=y
CONFIG_VGA_CONSOLE=y
CONFIG_DUMMY_CONSOLE=y
CONFIG_SOUND=y
CONFIG_SND=y
CONFIG_SND_TIMER=y
CONFIG_SND_PCM=y
CONFIG_SND_HWDEP=m
CONFIG_SND_RAWMIDI=m
CONFIG_SND_SEQUENCER=y
CONFIG_SND_OSSEMUL=y
CONFIG_SND_MIXER_OSS=y
CONFIG_SND_PCM_OSS=y
CONFIG_SND_PCM_OSS_PLUGINS=y
CONFIG_SND_SEQUENCER_OSS=y
CONFIG_SND_DYNAMIC_MINORS=y
CONFIG_SND_SUPPORT_OLD_API=y
CONFIG_SND_DEBUG=y
CONFIG_SND_DEBUG_DETECT=y
CONFIG_SND_VMASTER=y
CONFIG_SND_HDA_INTEL=y
CONFIG_SND_HDA_CODEC_CONEXANT=y
CONFIG_SND_USB_AUDIO=m
CONFIG_HID_SUPPORT=y
CONFIG_HID=y
CONFIG_USB_HID=y
CONFIG_USB_SUPPORT=y
CONFIG_USB_ARCH_HAS_HCD=y
CONFIG_USB_ARCH_HAS_OHCI=y
CONFIG_USB_ARCH_HAS_EHCI=y
CONFIG_USB=y
CONFIG_USB_DEVICEFS=y
CONFIG_USB_DEVICE_CLASS=y
CONFIG_USB_EHCI_HCD=y
CONFIG_USB_OHCI_HCD=m
CONFIG_USB_OHCI_LITTLE_ENDIAN=y
CONFIG_USB_UHCI_HCD=y
CONFIG_USB_ACM=m
CONFIG_USB_PRINTER=m
CONFIG_USB_STORAGE=y
CONFIG_USB_SERIAL=m
CONFIG_USB_SERIAL_PL2303=m
CONFIG_USB_SERIAL_SIERRAWIRELESS=m
CONFIG_MMC=y
CONFIG_MMC_BLOCK=y
CONFIG_MMC_BLOCK_BOUNCE=y
CONFIG_MMC_SDHCI=y
CONFIG_MMC_TIFM_SD=y
CONFIG_EDAC=y
CONFIG_EDAC_MM_EDAC=y
CONFIG_RTC_LIB=y
CONFIG_RTC_CLASS=y
CONFIG_RTC_HCTOSYS=y
CONFIG_RTC_HCTOSYS_DEVICE="rtc0"
CONFIG_RTC_INTF_SYSFS=y
CONFIG_RTC_INTF_PROC=y
CONFIG_RTC_INTF_DEV=y
CONFIG_EXT2_FS=y
CONFIG_EXT3_FS=y
CONFIG_JBD=y
CONFIG_DNOTIFY=y
CONFIG_INOTIFY=y
CONFIG_INOTIFY_USER=y
CONFIG_ISO9660_FS=y
CONFIG_JOLIET=y
CONFIG_ZISOFS=y
CONFIG_UDF_FS=y
CONFIG_UDF_NLS=y
CONFIG_FAT_FS=y
CONFIG_VFAT_FS=y
CONFIG_FAT_DEFAULT_CODEPAGE=437
CONFIG_FAT_DEFAULT_IOCHARSET="iso8859-1"
CONFIG_PROC_FS=y
CONFIG_PROC_KCORE=y
CONFIG_PROC_SYSCTL=y
CONFIG_SYSFS=y
CONFIG_TMPFS=y
CONFIG_MSDOS_PARTITION=y
CONFIG_NLS=y
CONFIG_NLS_DEFAULT="iso8859-1"
CONFIG_NLS_CODEPAGE_437=y
CONFIG_NLS_CODEPAGE_850=y
CONFIG_NLS_ASCII=y
CONFIG_NLS_ISO8859_1=y
CONFIG_NLS_ISO8859_15=y
CONFIG_NLS_UTF8=y
CONFIG_TRACE_IRQFLAGS_SUPPORT=y
CONFIG_ENABLE_WARN_DEPRECATED=y
CONFIG_ENABLE_MUST_CHECK=y
CONFIG_FRAME_WARN=2048
CONFIG_HEADERS_CHECK=y
CONFIG_DEBUG_BUGVERBOSE=y
CONFIG_HAVE_ARCH_KGDB=y
CONFIG_NONPROMISC_DEVMEM=y
CONFIG_EARLY_PRINTK=y
CONFIG_X86_MPPARSE=y
CONFIG_IO_DELAY_TYPE_0X80=0
CONFIG_IO_DELAY_TYPE_0XED=1
CONFIG_IO_DELAY_TYPE_UDELAY=2
CONFIG_IO_DELAY_TYPE_NONE=3
CONFIG_IO_DELAY_0X80=y
CONFIG_DEFAULT_IO_DELAY_TYPE=0
CONFIG_CRYPTO=y
CONFIG_CRYPTO_ALGAPI=y
CONFIG_CRYPTO_BLKCIPHER=y
CONFIG_CRYPTO_MANAGER=y
CONFIG_CRYPTO_ECB=y
CONFIG_CRYPTO_AES=y
CONFIG_CRYPTO_ARC4=y
CONFIG_HAVE_KVM=y
CONFIG_BITREVERSE=y
CONFIG_GENERIC_FIND_FIRST_BIT=y
CONFIG_GENERIC_FIND_NEXT_BIT=y
CONFIG_CRC_CCITT=m
CONFIG_CRC_ITU_T=y
CONFIG_CRC32=y
CONFIG_ZLIB_INFLATE=y
CONFIG_ZLIB_DEFLATE=m
CONFIG_PLIST=y
CONFIG_HAS_IOMEM=y
CONFIG_HAS_IOPORT=y
CONFIG_HAS_DMA=y





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#488063; Package linux-source-2.6.25. Full text and rfc822 format available.

Acknowledgement sent to "Mark T.B. Carroll" <mtbc@ixod.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #25 received at 488063@bugs.debian.org (full text, mbox):

From: "Mark T.B. Carroll" <mtbc@ixod.org>
To: 488063@bugs.debian.org
Subject: Re: Bug#488063: linux-source-2.6.25: snd-hda-intel 2.6.24->2.6.25 regression silences headphones
Date: Thu, 26 Jun 2008 11:52:36 -0400
I tried kernel 2.6.24 with very similar config and the newly-installed
1.0.16-2 alsa userspace and the same options. That still works fine:
plugging the headphones in silences the speakers but the sound comes
from the headphones as desired. In case it's useful to know, at boot
time 2.6.24 reports,

Advanced Linux Sound Architecture Driver Version 1.0.15 (Tue Nov 20 19:16:42 2007 UTC).
ACPI: PCI Interrupt 0000:00:1b.0[A] -> GSI 22 (level, low) -> IRQ 22
PCI: Setting latency timer of device 0000:00:1b.0 to 64
codec_mask = 0x1
ALSA device list:
  #0: HDA Intel at 0xd0340000 irq 22

which looks the same to me as with 2.6.26 but without the mention of the
chipset global capabilities.

When I play something,

azx_pcm_prepare: bufsize=0x10000, fragsize=0x2000, format=0x31
hda_codec_setup_stream: NID=0x13, stream=0x5, channel=0, format=0x31
hda_codec_setup_stream: NID=0x19, stream=0x5, channel=0, format=0x31
hda_codec_setup_stream: NID=0x19, stream=0x0, channel=0, format=0x0
hda_codec_setup_stream: NID=0x13, stream=0x0, channel=0, format=0x0

In case it's useful, I enclose below the differences between the 2.6.24
dmesg and the 2.6.26 dmesg.

Mark

< Linux version 2.6.24 (2.6.24-7~bpo40+1) (root@evangeline) (gcc version 4.2.3 20071123 (prerelease) (Debian 4.2.2-4)) #1 SMP Thu Jun 26 11:27:33 EDT 2008
> Linux version 2.6.26-rc8 (2.6.26~rc8) (root@evangeline) (gcc version 4.2.3 20071123 (prerelease) (Debian 4.2.2-4)) #4 SMP Thu Jun 26 11:35:37 EDT 2008
< end_pfn_map = 1048576
> max_pfn_mapped = 1048576
> x86 PAT enabled: cpu 0, old 0x7040600070406, new 0x7010600070106
> init_memory_mapping
<  [ffffe20000000000-ffffe200001fffff] PMD ->ffff810001200000 on node 0
<  [ffffe20000200000-ffffe200003fffff] PMD ->ffff810001600000 on node 0
<  [ffffe20000400000-ffffe200005fffff] PMD ->ffff810001a00000 on node 0
<  [ffffe20000600000-ffffe200007fffff] PMD ->ffff810001e00000 on node 0
<  [ffffe20000800000-ffffe200009fffff] PMD ->ffff810002200000 on node 0
<  [ffffe20000a00000-ffffe20000bfffff] PMD ->ffff810002600000 on node 0
<  [ffffe20000c00000-ffffe20000dfffff] PMD ->ffff810002a00000 on node 0
<  [ffffe20000e00000-ffffe20000ffffff] PMD ->ffff810002e00000 on node 0
<  [ffffe20001000000-ffffe200011fffff] PMD ->ffff810003200000 on node 0
<  [ffffe20001200000-ffffe200013fffff] PMD ->ffff810003600000 on node 0
<  [ffffe20001400000-ffffe200015fffff] PMD ->ffff810003a00000 on node 0
<  [ffffe20001600000-ffffe200017fffff] PMD ->ffff810003e00000 on node 0
<  [ffffe20001800000-ffffe200019fffff] PMD ->ffff810004200000 on node 0
<  [ffffe20001a00000-ffffe20001bfffff] PMD ->ffff810004600000 on node 0
>   early res: 0 [0-fff] BIOS data page
>   early res: 1 [6000-7fff] TRAMPOLINE
>   early res: 2 [200000-77128b] TEXT DATA BSS
>   early res: 3 [9f800-fffff] BIOS reserved
>   early res: 4 [8000-bfff] PGTABLE
>  [ffffe20000000000-ffffe20001bfffff] PMD -> [ffff810001200000-ffff810002dfffff] on node 0
<   DMA zone: 1348 pages reserved
<   DMA zone: 2595 pages, LIFO batch:0
<   DMA32 zone: 7078 pages used for memmap
<   DMA32 zone: 510698 pages, LIFO batch:31
>   DMA zone: 1498 pages reserved
>   DMA zone: 2445 pages, LIFO batch:0
>   DMA32 zone: 7079 pages used for memmap
>   DMA32 zone: 510697 pages, LIFO batch:31
< Processor #0 (Bootup-CPU)
< Processor #1
< IOAPIC[0]: apic_id 1, address 0xfec00000, GSI 0-23
> IOAPIC[0]: apic_id 1, version 0, address 0xfec00000, GSI 0-23
< swsusp: Registered nosave memory region: 000000000009f000 - 00000000000a0000
< swsusp: Registered nosave memory region: 00000000000a0000 - 00000000000dc000
< swsusp: Registered nosave memory region: 00000000000dc000 - 00000000000e4000
< swsusp: Registered nosave memory region: 00000000000e4000 - 00000000000e8000
< swsusp: Registered nosave memory region: 00000000000e8000 - 0000000000100000
> PM: Registered nosave memory: 000000000009f000 - 00000000000a0000
> PM: Registered nosave memory: 00000000000a0000 - 00000000000dc000
> PM: Registered nosave memory: 00000000000dc000 - 00000000000e4000
> PM: Registered nosave memory: 00000000000e4000 - 00000000000e8000
> PM: Registered nosave memory: 00000000000e8000 - 0000000000100000
< PERCPU: Allocating 28464 bytes of per cpu data
< Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 513293
> PERCPU: Allocating 29936 bytes of per cpu data
> NR_CPUS: 2, nr_cpu_ids: 2
> Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 513142
< hpet clockevent registered
< TSC calibrated against HPET
< Marking TSC unstable due to TSCs unsynchronized
< time.c: Detected 1600.056 MHz processor.
> TSC calibrated against PM_TIMER
> time.c: Detected 1600.055 MHz processor.
< Memory: 2049032k/2087488k available (3413k kernel code, 37356k reserved, 1371k data, 220k init)
< Calibrating delay using timer specific routine.. 3204.52 BogoMIPS (lpj=5338437)
> Memory: 2049148k/2087488k available (3519k kernel code, 37560k reserved, 1436k data, 244k init)
> CPA: page pool initialized 1 of 1 pages preallocated
> hpet clockevent registered
> Calibrating delay using timer specific routine.. 3204.65 BogoMIPS (lpj=5338645)
< using mwait in idle threads.
< SMP alternatives: switching to UP code
< ACPI: Core revision 20070126
> using mwait in idle threads.
> ACPI: Core revision 20080321
> CPU0: Intel(R) Core(TM)2 CPU         T5200  @ 1.60GHz stepping 06
< APIC timer calibration result 8333632
> APIC timer calibration result 8333622
< SMP alternatives: switching to SMP code
< Booting processor 1/2 APIC 0x1
> Booting processor 1/1 ip 6000
< Calibrating delay using timer specific routine.. 3201.42 BogoMIPS (lpj=5333482)
> Calibrating delay using timer specific routine.. 3201.44 BogoMIPS (lpj=5333519)
< Intel(R) Core(TM)2 CPU         T5200  @ 1.60GHz stepping 06
> x86 PAT enabled: cpu 1, old 0x7040600070406, new 0x7010600070106
> CPU1: Intel(R) Core(TM)2 CPU         T5200  @ 1.60GHz stepping 06
> checking TSC synchronization [CPU#0 -> CPU#1]: passed.
< net_namespace: 120 bytes
> Total of 2 processors activated (6405.10 BogoMIPS).
> net_namespace: 568 bytes
> PCI: MCFG configuration 0: base e0000000 segment 0 buses 0 - 255
> PCI: MCFG area at e0000000 reserved in E820
> PCI: Using configuration type 1 for base access
> ACPI: EC: GPE storm detected, disabling EC GPE
< ACPI: EC: driver started in interrupt mode
> ACPI: EC: driver started in poll mode
< PCI quirk: region 1000-107f claimed by ICH6 ACPI/GPIO/TCO
< PCI quirk: region 1180-11bf claimed by ICH6 GPIO
> pci 0000:00:1f.0: quirk: region 1000-107f claimed by ICH6 ACPI/GPIO/TCO
> pci 0000:00:1f.0: quirk: region 1180-11bf claimed by ICH6 GPIO
< PCI: If a device doesn't work, try "pci=routeirq".  If it helps, post a report
< Time: hpet clocksource has been installed.
> ACPI: RTC can wake from S4
> PCI: region 0000:0a:04.0/9 too large: 0x0000000000000000-0x0000000003ffffff
<   MEM window: 88000000-880fffff
>   MEM window: 0x88000000-0x880fffff
<   IO window: 00002400-000024ff
<   IO window: 00002800-000028ff
<   PREFETCH window: 8c000000-8fffffff
<   MEM window: 90000000-93ffffff
>   IO window: 0x00002400-0x000024ff
>   IO window: 0x00002800-0x000028ff
>   MEM window: 0x8c000000-0x8fffffff
<   MEM window: d0000000-d00fffff
>   MEM window: 0xd0000000-0xd00fffff
< PCI: Enabling device 0000:00:1c.1 (0000 -> 0002)
> pci 0000:00:1c.1: enabling device (0000 -> 0002)
< PCI: Enabling device 0000:00:1e.0 (0004 -> 0007)
> pci 0000:00:1e.0: enabling device (0004 -> 0007)
< PCI: Enabling device 0000:0a:04.0 (0000 -> 0003)
> pci 0000:0a:04.0: enabling device (0000 -> 0003)
> NET: Registered protocol family 1
> msgmni has been set to 4003
< Boot video device is 0000:00:02.0
< 0000:00:1d.7 EHCI: BIOS handoff failed (BIOS bug ?) 01010001
< PCI: Firmware left 0000:0a:08.0 e100 interrupts enabled, disabling
> pci 0000:00:02.0: Boot video device
> pci 0000:00:1d.7: EHCI: BIOS handoff failed (BIOS bug?) 01010001
> pci 0000:0a:08.0: Firmware left e100 interrupts enabled; disabling
< input: Power Button (FF) as /class/input/input0
> input: Power Button (FF) as /devices/LNXSYSTM:00/LNXPWRBN:00/input/input0
< input: Lid Switch as /class/input/input1
> input: Lid Switch as /devices/LNXSYSTM:00/device:00/PNP0C0D:00/input/input1
< input: Power Button (CM) as /class/input/input2
> input: Power Button (CM) as /devices/LNXSYSTM:00/device:00/PNP0C0C:00/input/input2
> ACPI: ACPI0007:00 is registered as cooling_device0
> ACPI: ACPI0007:01 is registered as cooling_device1
< ACPI: Thermal Zone [THRM] (54 C)
< Real Time Clock Driver v1.12ac
> ACPI: LNXTHERM:01 is registered as thermal_zone0
> ACPI: Thermal Zone [THRM] (52 C)
< Linux agpgart interface v0.102
> Linux agpgart interface v0.103
< intelfb: Framebuffer driver for Intel(R) 830M/845G/852GM/855GM/865G/915G/915GM/945G/945GM chipsets
< intelfb: Version 0.9.4
> intelfb: Framebuffer driver for Intel(R) 830M/845G/852GM/855GM/865G/915G/915GM/945G/945GM/965G/965GM chipsets
> intelfb: Version 0.9.5
< RAMDISK driver initialized: 16 RAM disks of 4096K size 1024 blocksize
> brd: module loaded
< PCI: Enabling device 0000:0a:04.2 (0000 -> 0002)
> tifm_7xx1 0000:0a:04.2: enabling device (0000 -> 0002)
< Loading iSCSI transport class v2.0-724.
> Loading iSCSI transport class v2.0-869.
< ata_piix 0000:00:1f.2: MAP [ P0 P2 IDE IDE ]
> ata_piix 0000:00:1f.2: MAP [ P0 P2 IDE IDE ]
> isa bounce pool size: 16 pages
> PCI: Bus 11, cardbus bridge: 0000:0a:04.0
>   IO window: 0x00002400-0x000024ff
>   IO window: 0x00002800-0x000028ff
>   PREFETCH window: 0x88400000-0x887fffff
>   MEM window: 0x8c000000-0x8fffffff
< usb 4-1: new full speed USB device using uhci_hcd and address 2
< usb 4-1: configuration #1 chosen from 1 choice
< input: AT Translated Set 2 keyboard as /class/input/input3
< input: PC Speaker as /class/input/input4
> input: AT Translated Set 2 keyboard as /devices/platform/i8042/serio0/input/input3
> input: PC Speaker as /devices/platform/pcspkr/input/input4
> usb 4-1: new full speed USB device using uhci_hcd and address 2
> usb 4-1: configuration #1 chosen from 1 choice
< input: SynPS/2 Synaptics TouchPad as /class/input/input5
> input: SynPS/2 Synaptics TouchPad as /devices/platform/i8042/serio1/input/input5
< PCI: Enabling device 0000:0a:04.3 (0000 -> 0002)
> sdhci 0000:0a:04.3: enabling device (0000 -> 0002)
< input: CHICONY USB Keyboard as /class/input/input6
> Marking TSC unstable due to TSC halts in idle
> input: CHICONY USB Keyboard as /devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1:1.0/input/input6
< input: Kensington      Kensington Expert Mouse as /class/input/input7
> input: Kensington      Kensington Expert Mouse as /devices/pci0000:00/0000:00:1d.0/usb2/2-2/2-2:1.0/input/input7
< drivers/hid/usbhid/hid-core.c: v2.6:USB HID core driver
< Advanced Linux Sound Architecture Driver Version 1.0.15 (Tue Nov 20 19:16:42 2007 UTC).
> usbhid: v2.6:USB HID core driver
> Advanced Linux Sound Architecture Driver Version 1.0.16.
> chipset global capabilities = 0x4401
< NET: Registered protocol family 1
< drivers/rtc/hctosys.c: unable to open rtc device (rtc0)
< Freeing unused kernel memory: 220k freed
< iwl3945: Intel(R) PRO/Wireless 3945ABG/BG Network Connection driver for Linux, 1.1.17k
< iwl3945: Copyright(c) 2003-2007 Intel Corporation
< PCI: Enabling device 0000:03:00.0 (0000 -> 0002)
> Freeing unused kernel memory: 244k freed
> iwl3945: Intel(R) PRO/Wireless 3945ABG/BG Network Connection driver for Linux, 1.2.26k
> iwl3945: Copyright(c) 2003-2008 Intel Corporation
> iwl3945 0000:03:00.0: enabling device (0000 -> 0002)
< iwl3945: Detected Intel PRO/Wireless 3945ABG Network Connection
> iwl3945: Detected Intel Wireless WiFi Link 3945ABG
> ACPI: PCI interrupt for device 0000:03:00.0 disabled
> warning: `ntpd' uses 32-bit capabilities (legacy support in use)
> ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 17 (level, low) -> IRQ 17
> PM: Writing back config space on device 0000:03:00.0 at offset 1 (was 100002, writing 100006)
> firmware: requesting iwlwifi-3945-1.ucode
< wlan0: Initial auth_alg=0
< wlan0: authenticate with AP 00:14:d1:31:44:21
< wlan0: RX authentication from 00:14:d1:31:44:21 (alg=0 transaction=2 status=0)
< wlan0: authenticated
< wlan0: associate with AP 00:14:d1:31:44:21
< wlan0: RX ReassocResp from 00:14:d1:31:44:21 (capab=0x401 status=0 aid=1)
< wlan0: associated
< azx_pcm_prepare: bufsize=0x10000, fragsize=0x2000, format=0x31
< hda_codec_setup_stream: NID=0x13, stream=0x5, channel=0, format=0x31
< hda_codec_setup_stream: NID=0x19, stream=0x5, channel=0, format=0x31
< hda_codec_setup_stream: NID=0x19, stream=0x0, channel=0, format=0x0
< hda_codec_setup_stream: NID=0x13, stream=0x0, channel=0, format=0x0
> azx_pcm_prepare: bufsize=0x10000, format=0x21
> hda_codec_setup_stream: NID=0x18, stream=0x5, channel=0, format=0x21
> hda_codec_setup_stream: NID=0x19, stream=0x5, channel=0, format=0x21
> hda_codec_cleanup_stream: NID=0x19
> hda_codec_cleanup_stream: NID=0x18





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#488063; Package linux-source-2.6.25. Full text and rfc822 format available.

Acknowledgement sent to "Mark T.B. Carroll" <mtbc@ixod.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #30 received at 488063@bugs.debian.org (full text, mbox):

From: "Mark T.B. Carroll" <mtbc@ixod.org>
To: 488063@bugs.debian.org
Subject: Re: Bug#488063: linux-source-2.6.25: snd-hda-intel 2.6.24->2.6.25 regression silences headphones
Date: Thu, 26 Jun 2008 21:00:21 -0400
I have discovered a fix!

In linux-source-2.6.26-rc8/sound/pci/hda/

$ diff patch_conexant.c~ patch_conexant.c
972c972
<       default:
---
>       /* default: */
$

Removing that default: causes everything to work properly again as in
2.6.24.

As far as I can tell from my limited ability to use git, that default:
may have appeared in,

http://kerneltrap.org/mailarchive/git-commits-head/2008/2/1/670694

FWIW the PCI ID of my soundcard is 8086:27d8.

Mark





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#488063; Package linux-source-2.6.25. Full text and rfc822 format available.

Acknowledgement sent to "Mark T.B. Carroll" <mtbc@ixod.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. Full text and rfc822 format available.

Message #35 received at 488063@bugs.debian.org (full text, mbox):

From: "Mark T.B. Carroll" <mtbc@ixod.org>
To: 488063@bugs.debian.org
Subject: Re: Bug#488063: linux-source-2.6.25: snd-hda-intel 2.6.24->2.6.25 regression silences headphones
Date: Tue, 01 Jul 2008 09:30:05 -0400
I talked to the ALSA developers and they kindly figured out that 
the necessary patch is to add to sound/pci/hda/patch_conexant.c's
cxt5045_cfg_tbl array,

SND_PCI_QUIRK(0x1179, 0xff31, "Toshiba P105", CXT5045_LAPTOP_MICSENSE),
	
This presumably means that I somehow messed up my previous attempt to
test model=laptop-micsense.

I confirmed the fix so I'm guessing they'll push the patch upstream.

Mark





Bug reassigned from package `linux-source-2.6.25' to `linux-2.6'. Request was from Martin Michlmayr <tbm@cyrius.com> to control@bugs.debian.org. (Sun, 14 Sep 2008 07:34:19 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Dann Frazier <dannf@alioth.debian.org> to control@bugs.debian.org. (Tue, 30 Dec 2008 18:21:07 GMT) Full text and rfc822 format available.

Tags added: pending Request was from Dann Frazier <dannf@alioth.debian.org> to control@bugs.debian.org. (Tue, 30 Dec 2008 18:30:08 GMT) Full text and rfc822 format available.

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. (Sat, 10 Jan 2009 17:09:09 GMT) Full text and rfc822 format available.

Notification sent to "Mark T.B. Carroll" <mtbc@ixod.org>:
Bug acknowledged by developer. (Sat, 10 Jan 2009 17:09:09 GMT) Full text and rfc822 format available.

Message #46 received at 488063-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 488063-close@bugs.debian.org
Subject: Bug#488063: fixed in linux-2.6 2.6.26-13
Date: Sat, 10 Jan 2009 17:03:25 +0000
Source: linux-2.6
Source-Version: 2.6.26-13

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.26-13.diff.gz
  to pool/main/l/linux-2.6/linux-2.6_2.6.26-13.diff.gz
linux-2.6_2.6.26-13.dsc
  to pool/main/l/linux-2.6/linux-2.6_2.6.26-13.dsc
linux-doc-2.6.26_2.6.26-13_all.deb
  to pool/main/l/linux-2.6/linux-doc-2.6.26_2.6.26-13_all.deb
linux-headers-2.6.26-1-all-powerpc_2.6.26-13_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-all-powerpc_2.6.26-13_powerpc.deb
linux-headers-2.6.26-1-all_2.6.26-13_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-all_2.6.26-13_powerpc.deb
linux-headers-2.6.26-1-common-vserver_2.6.26-13_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-common-vserver_2.6.26-13_powerpc.deb
linux-headers-2.6.26-1-common_2.6.26-13_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-common_2.6.26-13_powerpc.deb
linux-headers-2.6.26-1-powerpc-smp_2.6.26-13_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-powerpc-smp_2.6.26-13_powerpc.deb
linux-headers-2.6.26-1-powerpc64_2.6.26-13_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-powerpc64_2.6.26-13_powerpc.deb
linux-headers-2.6.26-1-powerpc_2.6.26-13_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-powerpc_2.6.26-13_powerpc.deb
linux-headers-2.6.26-1-vserver-powerpc64_2.6.26-13_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-vserver-powerpc64_2.6.26-13_powerpc.deb
linux-headers-2.6.26-1-vserver-powerpc_2.6.26-13_powerpc.deb
  to pool/main/l/linux-2.6/linux-headers-2.6.26-1-vserver-powerpc_2.6.26-13_powerpc.deb
linux-image-2.6.26-1-powerpc-smp_2.6.26-13_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-1-powerpc-smp_2.6.26-13_powerpc.deb
linux-image-2.6.26-1-powerpc64_2.6.26-13_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-1-powerpc64_2.6.26-13_powerpc.deb
linux-image-2.6.26-1-powerpc_2.6.26-13_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-1-powerpc_2.6.26-13_powerpc.deb
linux-image-2.6.26-1-vserver-powerpc64_2.6.26-13_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-1-vserver-powerpc64_2.6.26-13_powerpc.deb
linux-image-2.6.26-1-vserver-powerpc_2.6.26-13_powerpc.deb
  to pool/main/l/linux-2.6/linux-image-2.6.26-1-vserver-powerpc_2.6.26-13_powerpc.deb
linux-libc-dev_2.6.26-13_powerpc.deb
  to pool/main/l/linux-2.6/linux-libc-dev_2.6.26-13_powerpc.deb
linux-manual-2.6.26_2.6.26-13_all.deb
  to pool/main/l/linux-2.6/linux-manual-2.6.26_2.6.26-13_all.deb
linux-patch-debian-2.6.26_2.6.26-13_all.deb
  to pool/main/l/linux-2.6/linux-patch-debian-2.6.26_2.6.26-13_all.deb
linux-source-2.6.26_2.6.26-13_all.deb
  to pool/main/l/linux-2.6/linux-source-2.6.26_2.6.26-13_all.deb
linux-support-2.6.26-1_2.6.26-13_all.deb
  to pool/main/l/linux-2.6/linux-support-2.6.26-1_2.6.26-13_all.deb
linux-tree-2.6.26_2.6.26-13_all.deb
  to pool/main/l/linux-2.6/linux-tree-2.6.26_2.6.26-13_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 488063@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 10 Jan 2009 13:35:41 +0100
Source: linux-2.6
Binary: linux-source-2.6.26 linux-doc-2.6.26 linux-manual-2.6.26 linux-patch-debian-2.6.26 linux-tree-2.6.26 linux-support-2.6.26-1 linux-libc-dev linux-headers-2.6.26-1-all linux-headers-2.6.26-1-all-alpha linux-headers-2.6.26-1-common linux-image-2.6.26-1-alpha-generic linux-headers-2.6.26-1-alpha-generic linux-image-2.6.26-1-alpha-smp linux-headers-2.6.26-1-alpha-smp linux-image-2.6.26-1-alpha-legacy linux-headers-2.6.26-1-alpha-legacy linux-headers-2.6.26-1-all-amd64 linux-image-2.6.26-1-amd64 linux-headers-2.6.26-1-amd64 linux-headers-2.6.26-1-common-openvz linux-image-2.6.26-1-openvz-amd64 linux-headers-2.6.26-1-openvz-amd64 linux-headers-2.6.26-1-common-vserver linux-image-2.6.26-1-vserver-amd64 linux-headers-2.6.26-1-vserver-amd64 linux-headers-2.6.26-1-common-xen linux-image-2.6.26-1-xen-amd64 linux-modules-2.6.26-1-xen-amd64 linux-headers-2.6.26-1-xen-amd64 xen-linux-system-2.6.26-1-xen-amd64 linux-headers-2.6.26-1-all-arm linux-image-2.6.26-1-footbridge linux-headers-2.6.26-1-footbridge linux-image-2.6.26-1-iop32x linux-headers-2.6.26-1-iop32x linux-image-2.6.26-1-ixp4xx linux-headers-2.6.26-1-ixp4xx linux-image-2.6.26-1-orion5x linux-headers-2.6.26-1-orion5x linux-headers-2.6.26-1-all-armel linux-image-2.6.26-1-versatile linux-headers-2.6.26-1-versatile linux-headers-2.6.26-1-all-hppa linux-image-2.6.26-1-parisc linux-headers-2.6.26-1-parisc linux-image-2.6.26-1-parisc-smp linux-headers-2.6.26-1-parisc-smp linux-image-2.6.26-1-parisc64 linux-headers-2.6.26-1-parisc64 linux-image-2.6.26-1-parisc64-smp linux-headers-2.6.26-1-parisc64-smp linux-headers-2.6.26-1-all-i386 linux-image-2.6.26-1-486 linux-headers-2.6.26-1-486 linux-image-2.6.26-1-686 linux-headers-2.6.26-1-686 linux-image-2.6.26-1-686-bigmem linux-headers-2.6.26-1-686-bigmem linux-image-2.6.26-1-openvz-686 linux-headers-2.6.26-1-openvz-686 linux-image-2.6.26-1-vserver-686 linux-headers-2.6.26-1-vserver-686 linux-image-2.6.26-1-vserver-686-bigmem linux-headers-2.6.26-1-vserver-686-bigmem linux-image-2.6.26-1-xen-686 linux-modules-2.6.26-1-xen-686 linux-headers-2.6.26-1-xen-686 xen-linux-system-2.6.26-1-xen-686 linux-headers-2.6.26-1-all-ia64 linux-image-2.6.26-1-itanium linux-headers-2.6.26-1-itanium linux-image-2.6.26-1-mckinley linux-headers-2.6.26-1-mckinley linux-image-2.6.26-1-vserver-itanium linux-headers-2.6.26-1-vserver-itanium linux-image-2.6.26-1-vserver-mckinley linux-headers-2.6.26-1-vserver-mckinley linux-headers-2.6.26-1-all-m68k linux-image-2.6.26-1-amiga linux-headers-2.6.26-1-amiga linux-image-2.6.26-1-atari linux-headers-2.6.26-1-atari linux-image-2.6.26-1-bvme6000 linux-headers-2.6.26-1-bvme6000 linux-image-2.6.26-1-mac linux-headers-2.6.26-1-mac linux-image-2.6.26-1-mvme147 linux-headers-2.6.26-1-mvme147 linux-image-2.6.26-1-mvme16x linux-headers-2.6.26-1-mvme16x linux-headers-2.6.26-1-all-mips linux-image-2.6.26-1-r4k-ip22 linux-headers-2.6.26-1-r4k-ip22 linux-image-2.6.26-1-r5k-ip32 linux-headers-2.6.26-1-r5k-ip32 linux-image-2.6.26-1-sb1-bcm91250a linux-headers-2.6.26-1-sb1-bcm91250a linux-image-2.6.26-1-sb1a-bcm91480b linux-headers-2.6.26-1-sb1a-bcm91480b linux-image-2.6.26-1-4kc-malta linux-headers-2.6.26-1-4kc-malta linux-image-2.6.26-1-5kc-malta linux-headers-2.6.26-1-5kc-malta linux-headers-2.6.26-1-all-mipsel linux-image-2.6.26-1-r5k-cobalt linux-headers-2.6.26-1-r5k-cobalt linux-headers-2.6.26-1-all-powerpc linux-image-2.6.26-1-powerpc linux-headers-2.6.26-1-powerpc linux-image-2.6.26-1-powerpc-smp linux-headers-2.6.26-1-powerpc-smp linux-image-2.6.26-1-powerpc64 linux-headers-2.6.26-1-powerpc64 linux-image-2.6.26-1-vserver-powerpc linux-headers-2.6.26-1-vserver-powerpc linux-image-2.6.26-1-vserver-powerpc64 linux-headers-2.6.26-1-vserver-powerpc64 linux-headers-2.6.26-1-all-s390 linux-image-2.6.26-1-s390 linux-headers-2.6.26-1-s390 linux-image-2.6.26-1-s390-tape linux-image-2.6.26-1-s390x linux-headers-2.6.26-1-s390x linux-image-2.6.26-1-vserver-s390x linux-headers-2.6.26-1-vserver-s390x linux-headers-2.6.26-1-all-sparc linux-image-2.6.26-1-sparc64 linux-headers-2.6.26-1-sparc64 linux-image-2.6.26-1-sparc64-smp linux-headers-2.6.26-1-sparc64-smp linux-image-2.6.26-1-vserver-sparc64 linux-headers-2.6.26-1-vserver-sparc64
Architecture: source all powerpc
Version: 2.6.26-13
Distribution: unstable
Urgency: high
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 linux-doc-2.6.26 - Linux kernel specific documentation for version 2.6.26
 linux-headers-2.6.26-1-486 - Header files for Linux 2.6.26-1-486
 linux-headers-2.6.26-1-4kc-malta - Header files for Linux 2.6.26-1-4kc-malta
 linux-headers-2.6.26-1-5kc-malta - Header files for Linux 2.6.26-1-5kc-malta
 linux-headers-2.6.26-1-686 - Header files for Linux 2.6.26-1-686
 linux-headers-2.6.26-1-686-bigmem - Header files for Linux 2.6.26-1-686-bigmem
 linux-headers-2.6.26-1-all - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-alpha - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-amd64 - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-arm - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-armel - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-hppa - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-i386 - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-ia64 - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-m68k - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-mips - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-mipsel - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-powerpc - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-s390 - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-all-sparc - All header files for Linux 2.6.26
 linux-headers-2.6.26-1-alpha-generic - Header files for Linux 2.6.26-1-alpha-generic
 linux-headers-2.6.26-1-alpha-legacy - Header files for Linux 2.6.26-1-alpha-legacy
 linux-headers-2.6.26-1-alpha-smp - Header files for Linux 2.6.26-1-alpha-smp
 linux-headers-2.6.26-1-amd64 - Header files for Linux 2.6.26-1-amd64
 linux-headers-2.6.26-1-amiga - Header files for Linux 2.6.26-1-amiga
 linux-headers-2.6.26-1-atari - Header files for Linux 2.6.26-1-atari
 linux-headers-2.6.26-1-bvme6000 - Header files for Linux 2.6.26-1-bvme6000
 linux-headers-2.6.26-1-common - Common header files for Linux 2.6.26-1
 linux-headers-2.6.26-1-common-openvz - Common header files for Linux 2.6.26-1-openvz
 linux-headers-2.6.26-1-common-vserver - Common header files for Linux 2.6.26-1-vserver
 linux-headers-2.6.26-1-common-xen - Common header files for Linux 2.6.26-1-xen
 linux-headers-2.6.26-1-footbridge - Header files for Linux 2.6.26-1-footbridge
 linux-headers-2.6.26-1-iop32x - Header files for Linux 2.6.26-1-iop32x
 linux-headers-2.6.26-1-itanium - Header files for Linux 2.6.26-1-itanium
 linux-headers-2.6.26-1-ixp4xx - Header files for Linux 2.6.26-1-ixp4xx
 linux-headers-2.6.26-1-mac - Header files for Linux 2.6.26-1-mac
 linux-headers-2.6.26-1-mckinley - Header files for Linux 2.6.26-1-mckinley
 linux-headers-2.6.26-1-mvme147 - Header files for Linux 2.6.26-1-mvme147
 linux-headers-2.6.26-1-mvme16x - Header files for Linux 2.6.26-1-mvme16x
 linux-headers-2.6.26-1-openvz-686 - Header files for Linux 2.6.26-1-openvz-686
 linux-headers-2.6.26-1-openvz-amd64 - Header files for Linux 2.6.26-1-openvz-amd64
 linux-headers-2.6.26-1-orion5x - Header files for Linux 2.6.26-1-orion5x
 linux-headers-2.6.26-1-parisc - Header files for Linux 2.6.26-1-parisc
 linux-headers-2.6.26-1-parisc-smp - Header files for Linux 2.6.26-1-parisc-smp
 linux-headers-2.6.26-1-parisc64 - Header files for Linux 2.6.26-1-parisc64
 linux-headers-2.6.26-1-parisc64-smp - Header files for Linux 2.6.26-1-parisc64-smp
 linux-headers-2.6.26-1-powerpc - Header files for Linux 2.6.26-1-powerpc
 linux-headers-2.6.26-1-powerpc-smp - Header files for Linux 2.6.26-1-powerpc-smp
 linux-headers-2.6.26-1-powerpc64 - Header files for Linux 2.6.26-1-powerpc64
 linux-headers-2.6.26-1-r4k-ip22 - Header files for Linux 2.6.26-1-r4k-ip22
 linux-headers-2.6.26-1-r5k-cobalt - Header files for Linux 2.6.26-1-r5k-cobalt
 linux-headers-2.6.26-1-r5k-ip32 - Header files for Linux 2.6.26-1-r5k-ip32
 linux-headers-2.6.26-1-s390 - Header files for Linux 2.6.26-1-s390
 linux-headers-2.6.26-1-s390x - Header files for Linux 2.6.26-1-s390x
 linux-headers-2.6.26-1-sb1-bcm91250a - Header files for Linux 2.6.26-1-sb1-bcm91250a
 linux-headers-2.6.26-1-sb1a-bcm91480b - Header files for Linux 2.6.26-1-sb1a-bcm91480b
 linux-headers-2.6.26-1-sparc64 - Header files for Linux 2.6.26-1-sparc64
 linux-headers-2.6.26-1-sparc64-smp - Header files for Linux 2.6.26-1-sparc64-smp
 linux-headers-2.6.26-1-versatile - Header files for Linux 2.6.26-1-versatile
 linux-headers-2.6.26-1-vserver-686 - Header files for Linux 2.6.26-1-vserver-686
 linux-headers-2.6.26-1-vserver-686-bigmem - Header files for Linux 2.6.26-1-vserver-686-bigmem
 linux-headers-2.6.26-1-vserver-amd64 - Header files for Linux 2.6.26-1-vserver-amd64
 linux-headers-2.6.26-1-vserver-itanium - Header files for Linux 2.6.26-1-vserver-itanium
 linux-headers-2.6.26-1-vserver-mckinley - Header files for Linux 2.6.26-1-vserver-mckinley
 linux-headers-2.6.26-1-vserver-powerpc - Header files for Linux 2.6.26-1-vserver-powerpc
 linux-headers-2.6.26-1-vserver-powerpc64 - Header files for Linux 2.6.26-1-vserver-powerpc64
 linux-headers-2.6.26-1-vserver-s390x - Header files for Linux 2.6.26-1-vserver-s390x
 linux-headers-2.6.26-1-vserver-sparc64 - Header files for Linux 2.6.26-1-vserver-sparc64
 linux-headers-2.6.26-1-xen-686 - Header files for Linux 2.6.26-1-xen-686
 linux-headers-2.6.26-1-xen-amd64 - Header files for Linux 2.6.26-1-xen-amd64
 linux-image-2.6.26-1-486 - Linux 2.6.26 image on x86
 linux-image-2.6.26-1-4kc-malta - Linux 2.6.26 image on MIPS Malta
 linux-image-2.6.26-1-5kc-malta - Linux 2.6.26 image on MIPS Malta (64-bit)
 linux-image-2.6.26-1-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.26-1-686-bigmem - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4
 linux-image-2.6.26-1-alpha-generic - Linux 2.6.26 image on Alpha
 linux-image-2.6.26-1-alpha-legacy - Linux 2.6.26 image on Alpha Legacy
 linux-image-2.6.26-1-alpha-smp - Linux 2.6.26 image on Alpha SMP
 linux-image-2.6.26-1-amd64 - Linux 2.6.26 image on AMD64
 linux-image-2.6.26-1-amiga - Linux 2.6.26 image on Amiga
 linux-image-2.6.26-1-atari - Linux 2.6.26 image on Atari
 linux-image-2.6.26-1-bvme6000 - Linux 2.6.26 image on BVM BVME4000 and BVME6000
 linux-image-2.6.26-1-footbridge - Linux 2.6.26 image on Footbridge
 linux-image-2.6.26-1-iop32x - Linux 2.6.26 image on IOP32x
 linux-image-2.6.26-1-itanium - Linux 2.6.26 image on Itanium
 linux-image-2.6.26-1-ixp4xx - Linux 2.6.26 image on IXP4xx
 linux-image-2.6.26-1-mac - Linux 2.6.26 image on Macintosh
 linux-image-2.6.26-1-mckinley - Linux 2.6.26 image on Itanium II
 linux-image-2.6.26-1-mvme147 - Linux 2.6.26 image on Motorola MVME147
 linux-image-2.6.26-1-mvme16x - Linux 2.6.26 image on Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.26-1-openvz-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, OpenVZ support
 linux-image-2.6.26-1-openvz-amd64 - Linux 2.6.26 image on AMD64, OpenVZ support
 linux-image-2.6.26-1-orion5x - Linux 2.6.26 image on Orion
 linux-image-2.6.26-1-parisc - Linux 2.6.26 image on 32-bit PA-RISC
 linux-image-2.6.26-1-parisc-smp - Linux 2.6.26 image on multiprocessor 32-bit PA-RISC
 linux-image-2.6.26-1-parisc64 - Linux 2.6.26 image on 64-bit PA-RISC
 linux-image-2.6.26-1-parisc64-smp - Linux 2.6.26 image on multiprocessor 64-bit PA-RISC
 linux-image-2.6.26-1-powerpc - Linux 2.6.26 image on uniprocessor 32-bit PowerPC
 linux-image-2.6.26-1-powerpc-smp - Linux 2.6.26 image on multiprocessor 32-bit PowerPC
 linux-image-2.6.26-1-powerpc64 - Linux 2.6.26 image on 64-bit PowerPC
 linux-image-2.6.26-1-r4k-ip22 - Linux 2.6.26 image on SGI IP22
 linux-image-2.6.26-1-r5k-cobalt - Linux 2.6.26 image on Cobalt
 linux-image-2.6.26-1-r5k-ip32 - Linux 2.6.26 image on SGI IP32
 linux-image-2.6.26-1-s390 - Linux 2.6.26 image on IBM S/390
 linux-image-2.6.26-1-s390-tape - Linux 2.6.26 image on IBM S/390, IPL from tape
 linux-image-2.6.26-1-s390x - Linux 2.6.26 image on IBM zSeries
 linux-image-2.6.26-1-sb1-bcm91250a - Linux 2.6.26 image on BCM91250A
 linux-image-2.6.26-1-sb1a-bcm91480b - Linux 2.6.26 image on BCM91480B
 linux-image-2.6.26-1-sparc64 - Linux 2.6.26 image on uniprocessor 64-bit UltraSPARC
 linux-image-2.6.26-1-sparc64-smp - Linux 2.6.26 image on multiprocessor 64-bit UltraSPARC
 linux-image-2.6.26-1-versatile - Linux 2.6.26 image on Versatile
 linux-image-2.6.26-1-vserver-686 - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, Linux-VServer sup
 linux-image-2.6.26-1-vserver-686-bigmem - Linux 2.6.26 image on PPro/Celeron/PII/PIII/P4, Linux-VServer sup
 linux-image-2.6.26-1-vserver-amd64 - Linux 2.6.26 image on AMD64, Linux-VServer support
 linux-image-2.6.26-1-vserver-itanium - Linux 2.6.26 image on Itanium, Linux-VServer support
 linux-image-2.6.26-1-vserver-mckinley - Linux 2.6.26 image on Itanium II, Linux-VServer support
 linux-image-2.6.26-1-vserver-powerpc - Linux 2.6.26 image on uniprocessor 32-bit PowerPC, Linux-VServer 
 linux-image-2.6.26-1-vserver-powerpc64 - Linux 2.6.26 image on 64-bit PowerPC, Linux-VServer support
 linux-image-2.6.26-1-vserver-s390x - Linux 2.6.26 image on IBM zSeries, Linux-VServer support
 linux-image-2.6.26-1-vserver-sparc64 - Linux 2.6.26 image on uniprocessor 64-bit UltraSPARC, Linux-VServ
 linux-image-2.6.26-1-xen-686 - Linux 2.6.26 image on i686, oldstyle Xen support
 linux-image-2.6.26-1-xen-amd64 - Linux 2.6.26 image on AMD64, oldstyle Xen support
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.26 - Linux kernel API manual pages for version 2.6.26
 linux-modules-2.6.26-1-xen-686 - Linux 2.6.26 modules on i686
 linux-modules-2.6.26-1-xen-amd64 - Linux 2.6.26 modules on AMD64
 linux-patch-debian-2.6.26 - Debian patches to version 2.6.26 of the Linux kernel
 linux-source-2.6.26 - Linux kernel source for version 2.6.26 with Debian patches
 linux-support-2.6.26-1 - Support files for Linux 2.6.26
 linux-tree-2.6.26 - Linux kernel source tree for building Debian kernel images
 xen-linux-system-2.6.26-1-xen-686 - XEN system with Linux 2.6.26 image on i686
 xen-linux-system-2.6.26-1-xen-amd64 - XEN system with Linux 2.6.26 image on AMD64
Closes: 429011 478717 488063 495698 498940 505256 506835 507958 508108 508173 508661 509097 510607
Changes: 
 linux-2.6 (2.6.26-13) unstable; urgency=high
 .
   [ dann frazier ]
   * [hppa] disable UP-optimized flush_tlb_mm, fixing thread-related
     hangs. (closes: #478717)
   * cciss: Add PCI ids for P711m and p712m
   * Fix buffer underflow in the ib700wdt watchdog driver (CVE-2008-5702)
   * [sparc] Enable CONFIG_FB_XVR500, CONFIG_FB_XVR2500 (Closes: #508108)
   * [ia64] Add RTC class driver for EFI
   * [hppa] Fix system crash while unwinding a userspace process
     (CVE-2008-5395)
   * Set a minimum timeout for SG_IO requests (CVE-2008-5700)
 .
   [ Bastian Blank ]
   * Fix multicast in atl1e driver. (closes: #509097)
 .
   [ Moritz Muehlenhoff ]
   * Fix speaker output on Toshiba P105 notebooks. (closes: #488063)
   * uvc: Fix incomplete frame drop when switching to a variable
     size format (closes: #508661)
   * Allow booting Mach images in KVM (Closes: #498940)
   * Add workaround for USB storage on Rockchip MP3 player (Closes: #505256)
   * Enable w9968cf driver on all i386 images (Closes: #495698)
   * Register DualPoint model found in Dell Latitude E6500 (Closes: #507958)
   * Disable link tuning in rt2500usb driver. (Closes: #510607)
   * Fix regressions in eata driver (Closes: #506835)
   * Skip incompatible fbdev logos (Closes: #508173)
   * Fix error path in PCI probing of Cyclades driver (Closes: #429011)
 .
   [ Martin Michlmayr ]
   * V4L/DVB: Fix initialization of URB list (Thomas Reitmayr) to address
     the oops reported at http://forum.qnap.com/viewtopic.php?f=147&t=10572
   * Add some patches from the Linux/MIPS linux-2.6.26-stable tree:
     - Fix potential DOS by untrusted user app (CVE-2008-5701)
     - o32: Fix number of arguments to splice(2).
     - 64-bit: vmsplice needs to use the compat wrapper for o32 and N32.
     - Return ENOSYS from sys32_syscall on 64bit kernels like elsewhere.
     - Use EI/DI for MIPS R2.
     - MIPS64R2: Fix buggy __arch_swab64
     - Add missing calls to plat_unmap_dma_mem.
     - Only write c0_framemask on CPUs which have this register.
Checksums-Sha1: 
 88908db67056d44e1897067dec61b8edc9228bfb 5761 linux-2.6_2.6.26-13.dsc
 8e20ba3c07705d2283b0f8e829e597c87c3373a8 7514564 linux-2.6_2.6.26-13.diff.gz
 630a5a9d6f51c5d110d639a3f810d41579ea8c69 4616384 linux-doc-2.6.26_2.6.26-13_all.deb
 66bc0c1ad59270477da24a49ca24ca9a50af7cc6 1760802 linux-manual-2.6.26_2.6.26-13_all.deb
 cfe5ffb255e9c0e5e54521a922b9439529a476cd 2016660 linux-patch-debian-2.6.26_2.6.26-13_all.deb
 6ea723010754c140c675faae06f4840658b5e13b 48465280 linux-source-2.6.26_2.6.26-13_all.deb
 606be6cdfa1c36c1176880b6552b5b554b7567f5 116102 linux-support-2.6.26-1_2.6.26-13_all.deb
 a45c84e4ca8c360527447a20d53599f7321c11f7 100758 linux-tree-2.6.26_2.6.26-13_all.deb
 6f3fd59d28e5c9aa2603d6175c895f43df0dc2c7 22992440 linux-image-2.6.26-1-powerpc_2.6.26-13_powerpc.deb
 9d9d900280ab45570cddfdf96acd241d0bbc23a5 353244 linux-headers-2.6.26-1-powerpc_2.6.26-13_powerpc.deb
 39b4c90a3334d23afec3d18935daf72ccac7497f 23391384 linux-image-2.6.26-1-powerpc-smp_2.6.26-13_powerpc.deb
 5b8b3e9a017cc9a1cd2d80278a5d8705e1800edb 354300 linux-headers-2.6.26-1-powerpc-smp_2.6.26-13_powerpc.deb
 cff89accf8a7ba12371a252dae6fdadab040b9f4 23229832 linux-image-2.6.26-1-powerpc64_2.6.26-13_powerpc.deb
 e65f43e9af72be34c178641b1d9b882e4e3dc003 362572 linux-headers-2.6.26-1-powerpc64_2.6.26-13_powerpc.deb
 93a4983c25c16fd0111137481d17dd2c2e0c8023 3770378 linux-headers-2.6.26-1-common_2.6.26-13_powerpc.deb
 bbebc71d6180137aa69a9c173346039f66c1b3ae 100336 linux-headers-2.6.26-1-all_2.6.26-13_powerpc.deb
 9ce9ac822a4442a526655afe1a01291c4b64af4d 100372 linux-headers-2.6.26-1-all-powerpc_2.6.26-13_powerpc.deb
 5533d36d273143811e18d36adaa6fbfa691deb5a 736790 linux-libc-dev_2.6.26-13_powerpc.deb
 fe9c6b38f7164de8360980fbf99641ad7a08e77c 23420930 linux-image-2.6.26-1-vserver-powerpc_2.6.26-13_powerpc.deb
 951ead2df724135264769125ad4968f99893f0b6 355022 linux-headers-2.6.26-1-vserver-powerpc_2.6.26-13_powerpc.deb
 77ad7faf3319724679c3f91c756db437cf80fac2 23287696 linux-image-2.6.26-1-vserver-powerpc64_2.6.26-13_powerpc.deb
 ca1424264568bd940acccede4332bcbd9cf407bb 362212 linux-headers-2.6.26-1-vserver-powerpc64_2.6.26-13_powerpc.deb
 a67042c102ba6174ce501b8816cebe70b1775f7b 3802864 linux-headers-2.6.26-1-common-vserver_2.6.26-13_powerpc.deb
Checksums-Sha256: 
 503a1217acd7d92f5e559270c00a347ed3d15f4a7aea605622b2cbd932b81add 5761 linux-2.6_2.6.26-13.dsc
 0d75fa267670f0ddf66a9891d9c2a87be2a4798e730f069e1fcfe26a82232629 7514564 linux-2.6_2.6.26-13.diff.gz
 b9d37cbe209b1dc46de7279395c7a6534ce62bd928f20feb15f5bc35f375f949 4616384 linux-doc-2.6.26_2.6.26-13_all.deb
 3265d944c1dc5d957236e076ddcd730defdefed80db0f4d4ad5e202311d57107 1760802 linux-manual-2.6.26_2.6.26-13_all.deb
 1e95613c5fec3b7b21d2a974816c33428542717a7fdd2e182f18a0bb0aaa0242 2016660 linux-patch-debian-2.6.26_2.6.26-13_all.deb
 3f4ff51623d9288827dc8577668f65b9fbd513401f07270d5442f82580417952 48465280 linux-source-2.6.26_2.6.26-13_all.deb
 d8b5dda0a01030f16ded11f81f3c381d85e574831b866a875d99e3d23f3e0912 116102 linux-support-2.6.26-1_2.6.26-13_all.deb
 3e22494d011313c5cb4da92656846463aec43b03e602adeff3262de8361aea68 100758 linux-tree-2.6.26_2.6.26-13_all.deb
 145f85959ec820c1bd4c0f64ad504f96e1ce31363ba16f8ba71d7931fece9a87 22992440 linux-image-2.6.26-1-powerpc_2.6.26-13_powerpc.deb
 81ca95542bd5e286eeee2f01e418021fdd04dcf240c732cb9a15908d2bbcea1c 353244 linux-headers-2.6.26-1-powerpc_2.6.26-13_powerpc.deb
 02fa3f4e31f8b64be70cf95124314cb2a476dfe0a7e8a55267aba86b485df962 23391384 linux-image-2.6.26-1-powerpc-smp_2.6.26-13_powerpc.deb
 15c5d0b6841308dba42060d4d4f3c5a2f1f0e408537e0e0abc075f71fdf96e41 354300 linux-headers-2.6.26-1-powerpc-smp_2.6.26-13_powerpc.deb
 d37e7ce4d9cdd891f6a96167703821310322723f066690c57a48089dce3d799e 23229832 linux-image-2.6.26-1-powerpc64_2.6.26-13_powerpc.deb
 93968571c34c8fb5c4e5dc6610a620b263d1e59fb6aead5507954492b6bdbf66 362572 linux-headers-2.6.26-1-powerpc64_2.6.26-13_powerpc.deb
 daaca859ab2ce231d3848171f4c865261453d670ea1099531819dede73a3450d 3770378 linux-headers-2.6.26-1-common_2.6.26-13_powerpc.deb
 656f9e865728eb303b45b665d356da7813bf0ed1db324c467d3a8c5f50d6542b 100336 linux-headers-2.6.26-1-all_2.6.26-13_powerpc.deb
 3d6585b0b4719302e3419a302e338c5456ed13b35362f181fd872fc48d7fc824 100372 linux-headers-2.6.26-1-all-powerpc_2.6.26-13_powerpc.deb
 69233a00eb249dcfbc5700ecbbfb8c2bdfe66a9c0dcebbf0c8f4f0edda9b45a4 736790 linux-libc-dev_2.6.26-13_powerpc.deb
 d884fe0b57759c27370ab68679ae334efccf3e2ae168b363cc06a1ac8ea5ab95 23420930 linux-image-2.6.26-1-vserver-powerpc_2.6.26-13_powerpc.deb
 5dfcc8928b3e47164ec3b19b6669bea08aab9435e23e359dda3d83c50ba439bf 355022 linux-headers-2.6.26-1-vserver-powerpc_2.6.26-13_powerpc.deb
 4d1b4ae33a04736e0251d3392e57d081c4e7559718fe228cd126340f1b1a2b90 23287696 linux-image-2.6.26-1-vserver-powerpc64_2.6.26-13_powerpc.deb
 d08c661a02c91868bfb23ae5feaa0adf9a83a443a32aabe3ef2b3b2fdc467a59 362212 linux-headers-2.6.26-1-vserver-powerpc64_2.6.26-13_powerpc.deb
 1bc14091672ed6ec847b8e72138726bc42a22dfa7a4a46dfbfa219000c4562ce 3802864 linux-headers-2.6.26-1-common-vserver_2.6.26-13_powerpc.deb
Files: 
 478feb31cf8adb18cfe812db25acf8d4 5761 devel optional linux-2.6_2.6.26-13.dsc
 ae611f130018ffee82f605384a72a59a 7514564 devel optional linux-2.6_2.6.26-13.diff.gz
 1ecf206ff365305860322823e35df31a 4616384 doc optional linux-doc-2.6.26_2.6.26-13_all.deb
 13c50c35427869c8621ffe01af07eb05 1760802 doc optional linux-manual-2.6.26_2.6.26-13_all.deb
 eba271e95b6c09d3492ebe90786ed0de 2016660 devel optional linux-patch-debian-2.6.26_2.6.26-13_all.deb
 a253bce286dd1610b757cefea5bd8a0e 48465280 devel optional linux-source-2.6.26_2.6.26-13_all.deb
 ce1666e6dd27315926f779cddc6d5523 116102 devel optional linux-support-2.6.26-1_2.6.26-13_all.deb
 fd2fca91cd1a9ad4730017e8f15f89bf 100758 devel optional linux-tree-2.6.26_2.6.26-13_all.deb
 2b9dfe7884401b9471333d8a3f898db3 22992440 admin optional linux-image-2.6.26-1-powerpc_2.6.26-13_powerpc.deb
 3fa348956cf7df44027e5e29f6b0ad2d 353244 devel optional linux-headers-2.6.26-1-powerpc_2.6.26-13_powerpc.deb
 3ec2926a32842fc67002cdfaa16bc982 23391384 admin optional linux-image-2.6.26-1-powerpc-smp_2.6.26-13_powerpc.deb
 07321ac08b4fa63d24959873c3aba4e6 354300 devel optional linux-headers-2.6.26-1-powerpc-smp_2.6.26-13_powerpc.deb
 8910961e7a51b09be23022726c394c61 23229832 admin optional linux-image-2.6.26-1-powerpc64_2.6.26-13_powerpc.deb
 e633e152e64b7e60c603a42a190ad53e 362572 devel optional linux-headers-2.6.26-1-powerpc64_2.6.26-13_powerpc.deb
 35a1c7fb86c4436c28db651bbd6a8ccd 3770378 devel optional linux-headers-2.6.26-1-common_2.6.26-13_powerpc.deb
 5634282778df843ca7542f59c67c3b3b 100336 devel optional linux-headers-2.6.26-1-all_2.6.26-13_powerpc.deb
 009c180bed3d40fbbd710ea113bb63bf 100372 devel optional linux-headers-2.6.26-1-all-powerpc_2.6.26-13_powerpc.deb
 466ce78b4d314b98ad95222caa99e878 736790 devel optional linux-libc-dev_2.6.26-13_powerpc.deb
 d146b072c618684b81fb1bf380cba18b 23420930 admin optional linux-image-2.6.26-1-vserver-powerpc_2.6.26-13_powerpc.deb
 07b5afe18a94134cf008900448d2d974 355022 devel optional linux-headers-2.6.26-1-vserver-powerpc_2.6.26-13_powerpc.deb
 78aea09c08e28e8ed36aeff212f996fd 23287696 admin optional linux-image-2.6.26-1-vserver-powerpc64_2.6.26-13_powerpc.deb
 d0386fa71e03795cd886b9004c1824a5 362212 devel optional linux-headers-2.6.26-1-vserver-powerpc64_2.6.26-13_powerpc.deb
 e92048405fa7800dff1612f6e75d74d8 3802864 devel optional linux-headers-2.6.26-1-common-vserver_2.6.26-13_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAklo0r8ACgkQLkAIIn9ODhHViwCfT0/ycbOozXDYp/mWEf4PCFGr
0L8AoIZZdEVFMIvv5CgEe9dWG1597oq5
=xs4j
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 13 Feb 2009 07:31:21 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 10:44:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.